/* Generated from posixwin.scm by the Chicken compiler
   2005-01-04 19:16
   Version 1, Build 88 - linux-unix-gnu-x86
   command line: posixwin.scm -quiet -debug-level 0 -optimize-level 2 -include-path . -output-file posixwin.c -explicit-use
   unit: posix
*/

#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>
#include <winsock2.h>

#include <errno.h>
#include <io.h>
#include <stdio.h>
#include <process.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <direct.h>

#include <time.h>

#define ARG_MAX 256
#define PIPE_BUF 512

static C_TLS char *C_exec_args[ ARG_MAX ];
static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;
static C_TLS struct tm C_tm;
static C_TLS struct stat C_statbuf;
/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

static C_TLS char C_hostname[256];
static C_TLS char C_osver[16];
static C_TLS char C_osrel[16];
static C_TLS char C_processor[16];

#define C_mkdir(str)        C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)        C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)        C_fix(rmdir(C_c_string(str)))

/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR *opendir(const char *name);
static int closedir(DIR *dir);
static struct dirent *readdir(DIR *dir);

static DIR *opendir(const char *name)
{
    int name_len = strlen(name);
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(name_len + 3);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    strcpy(what, name);
    if (strchr("\\/", name[name_len - 1]))
	strcat(what, "*");
    else
	strcat(what, "\\*");

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}
static int closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}
static struct dirent *readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}

#define C_opendir(x,h)		C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)   	(closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)		C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b)	(strcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name),	C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

#define C_curdir(buf)       (getcwd(C_c_string(buf), 256) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)                        C_fix(_pclose(C_port_file(p)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_getpid            getpid
#define C_chmod(fn, m)      C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_fileno(p)         C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_access(fn, m)     C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d)           C_fix(_pipe(C_pipefds, PIPE_BUF, O_BINARY))
#define C_close(fd)         C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_putenv(s)         C_fix(putenv((char *)C_data_pointer(s)))
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

static C_word C_fcall C_setenv(C_word x, C_word y);
C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_data_pointer(x),
       *sy = C_data_pointer(y);
  int n1 = C_strlen(sx), n2 = C_strlen(sy);				       
  char *buf = (char *)C_malloc(n1 + n2 + 2);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strcpy(buf, sx);
    buf[ n1 ] = '=';
    C_strcpy(buf + n1 + 1, sy);
    return(C_fix(putenv(buf)));
  }
}

static void C_fcall C_set_exec_arg(int i, char *a, int len);
void C_fcall C_set_exec_arg(int i, char *a, int len) {
  char *ptr;
  if(a != NULL) {
    ptr = (char *)C_malloc(len + 1);
    C_memcpy(ptr, a, len);
    ptr[ len ] = '\0';
  }
  else ptr = NULL;
  C_exec_args[ i ] = ptr;
}

static void C_fcall C_free_exec_args();
void C_fcall C_free_exec_args() {
  char **a = C_exec_args;
  while((*a) != NULL) C_free(*(a++));
}

#define C_execvp(f)         C_fix(execvp(C_data_pointer(f), C_exec_args))

/* MS replacement for the fork-exec pair */
#define C_spawnvp(m, f)	    C_fix(spawnvp(C_unfix(m), C_data_pointer(f), C_exec_args))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_mkstemp(t)        C_fix(mktemp(C_c_string(t)))

#define C_ftell(p)            C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)      C_mk_nbool(fseek(C_port_file(p), C_unfix(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#define C_ctime(n)          (C_secs = (n), ctime(&C_secs))

#define C_asctime(v)        (memset(&C_tm, 0, sizeof(struct tm)), C_tm.tm_sec = C_unfix(C_block_item(v, 0)), C_tm.tm_min = C_unfix(C_block_item(v, 1)), C_tm.tm_hour = C_unfix(C_block_item(v, 2)), C_tm.tm_mday = C_unfix(C_block_item(v, 3)), C_tm.tm_mon = C_unfix(C_block_item(v, 4)), C_tm.tm_year = C_unfix(C_block_item(v, 5)), C_tm.tm_wday = C_unfix(C_block_item(v, 6)), C_tm.tm_yday = C_unfix(C_block_item(v, 7)), C_tm.tm_isdst = (C_block_item(v, 8) != C_SCHEME_FALSE), asctime(&C_tm) )

/* mapping from Win32 error codes to errno */
typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;
static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,      EINVAL},
    {ERROR_FILE_NOT_FOUND,        ENOENT},
    {ERROR_PATH_NOT_FOUND,        ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,   EMFILE},
    {ERROR_ACCESS_DENIED,         EACCES},
    {ERROR_INVALID_HANDLE,        EBADF},
    {ERROR_ARENA_TRASHED,         ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,     ENOMEM},
    {ERROR_INVALID_BLOCK,         ENOMEM},
    {ERROR_BAD_ENVIRONMENT,       E2BIG},
    {ERROR_BAD_FORMAT,            ENOEXEC},
    {ERROR_INVALID_ACCESS,        EINVAL},
    {ERROR_INVALID_DATA,          EINVAL},
    {ERROR_INVALID_DRIVE,         ENOENT},
    {ERROR_CURRENT_DIRECTORY,     EACCES},
    {ERROR_NOT_SAME_DEVICE,       EXDEV},
    {ERROR_NO_MORE_FILES,         ENOENT},
    {ERROR_LOCK_VIOLATION,        EACCES},
    {ERROR_BAD_NETPATH,           ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,          ENOENT},
    {ERROR_FILE_EXISTS,           EEXIST},
    {ERROR_CANNOT_MAKE,           EACCES},
    {ERROR_FAIL_I24,              EACCES},
    {ERROR_INVALID_PARAMETER,     EINVAL},
    {ERROR_NO_PROC_SLOTS,         EAGAIN},
    {ERROR_DRIVE_LOCKED,          EACCES},
    {ERROR_BROKEN_PIPE,           EPIPE},
    {ERROR_DISK_FULL,             ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,        EINVAL},
    {ERROR_WAIT_NO_CHILDREN,      ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,    ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,         EINVAL},
    {ERROR_SEEK_ON_DEVICE,        EACCES},
    {ERROR_DIR_NOT_EMPTY,         ENOTEMPTY},
    {ERROR_NOT_LOCKED,            EACCES},
    {ERROR_BAD_PATHNAME,          ENOENT},
    {ERROR_MAX_THRDS_REACHED,     EAGAIN},
    {ERROR_LOCK_FAILED,           EACCES},
    {ERROR_ALREADY_EXISTS,        EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,   EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,      ENOMEM},
    {0, 0}
};

static void set_errno(DWORD w32err)
{
    errmap_t *map = errmap;
    for (; errmap->win32; ++map)
    {
	if (errmap->win32 == w32err)
	{
	    errno = errmap->libc;
	    return;
	}
    }
}

/* functions for creating process with redirected I/O */
static int zero_handles()
{
    C_rd0 = C_wr0 = C_wr0_ = INVALID_HANDLE_VALUE;
    C_rd1 = C_wr1 = C_rd1_ = INVALID_HANDLE_VALUE;
    C_save0 = C_save1 = INVALID_HANDLE_VALUE;
    return 1;
}
static int close_handles()
{
    if (C_rd0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd0);
    if (C_rd1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1);
    if (C_wr0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0);
    if (C_wr1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr1);
    if (C_rd1_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1_);
    if (C_wr0_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0_);
    if (C_save0 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	CloseHandle(C_save0);
    }
    if (C_save1 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	CloseHandle(C_save1);
    }
    return zero_handles();
}
static int redir_io()
{
    SECURITY_ATTRIBUTES sa;
    sa.nLength = sizeof(SECURITY_ATTRIBUTES);
    sa.bInheritHandle = TRUE;
    sa.lpSecurityDescriptor = NULL;

    zero_handles();

    C_save0 = GetStdHandle(STD_INPUT_HANDLE);
    C_save1 = GetStdHandle(STD_OUTPUT_HANDLE);
    if (!CreatePipe(&C_rd0, &C_wr0, &sa, 0)
	    || !SetStdHandle(STD_INPUT_HANDLE, C_rd0)
	    || !DuplicateHandle(GetCurrentProcess(), C_wr0, GetCurrentProcess(),
		&C_wr0_, 0, FALSE, DUPLICATE_SAME_ACCESS)
	    || !CreatePipe(&C_rd1, &C_wr1, &sa, 0)
	    || !SetStdHandle(STD_OUTPUT_HANDLE, C_wr1)
	    || !DuplicateHandle(GetCurrentProcess(), C_rd1, GetCurrentProcess(),
		&C_rd1_, 0, FALSE, DUPLICATE_SAME_ACCESS))
    {
	set_errno(GetLastError());
	close_handles();
	return 0;
    }

    CloseHandle(C_wr0);
    C_wr0 = INVALID_HANDLE_VALUE;
    CloseHandle(C_rd1);
    C_rd1 = INVALID_HANDLE_VALUE;
    return 1;
}
static int run_process(char *cmdline)
{
    PROCESS_INFORMATION pi;
    STARTUPINFO si;

    ZeroMemory(&pi, sizeof(PROCESS_INFORMATION));
    ZeroMemory(&si, sizeof(STARTUPINFO));
    si.cb = sizeof(STARTUPINFO);

    C_wr0_ = C_rd1_ = INVALID_HANDLE_VALUE; /* these handles are saved */

    if (CreateProcess(NULL, cmdline, NULL, NULL, TRUE, 0, NULL,
		NULL, &si, &pi))
    {
	CloseHandle(pi.hThread);

	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	C_save0 = C_save1 = INVALID_HANDLE_VALUE;

	CloseHandle(C_rd0);
	CloseHandle(C_wr1);
	C_rd0 = C_wr1 = INVALID_HANDLE_VALUE;
	return (int)pi.hProcess;
    }
    else
    {
	set_errno(GetLastError());
	return 0;
    }
}
static int pipe_write(int hpipe, void* buf, int count)
{
    DWORD done = 0;
    if (WriteFile((HANDLE)hpipe, buf, count, &done, NULL))
	return 1;
    else
    {
	set_errno(GetLastError());
	return 0;
    }
}
static int pipe_read(int hpipe)
{
    DWORD done = 0;
    /* TODO:
    if (!pipe_ready(hpipe))
	go_to_sleep;
    */
    if (ReadFile((HANDLE)hpipe, &C_rdbuf, 1, &done, NULL))
    {
	if (done > 0) /* not EOF yet */
	    return 1;
	else
	    return -1;
    }
    set_errno(GetLastError());
    return 0;
}
static int pipe_ready(int hpipe)
{
    DWORD avail = 0;
    if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL) && avail)
	return 1;
    else 
    {
	Sleep(0); /* give pipe a chance */
	if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL))
	    return (avail > 0);
	else
	    return 0;
    }
}

#define C_zero_handles() C_fix(zero_handles())
#define C_close_handles() C_fix(close_handles())
#define C_redir_io() (redir_io() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_run_process(cmdline) C_fix(run_process(C_c_string(cmdline)))
#define C_pipe_write(h, b, n) (pipe_write(C_unfix(h), C_c_string(b), C_unfix(n)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_pipe_read(h) C_fix(pipe_read(C_unfix(h)))
#define C_pipe_ready(h) (pipe_ready(C_unfix(h)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define close_handle(h) CloseHandle((HANDLE)h)

int process_wait(int h, int t)
{   
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    set_errno(GetLastError());
    return 0;
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sleep(t) (Sleep(C_unfix(t) * 1000), C_SCHEME_UNDEFINED)

int get_hostname()
{
    WSADATA wsa;
    if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
    {
	int nok = gethostname(C_hostname, 256);
	WSACleanup();
	return !nok;
    }
    return 0;
}

int sysinfo()
{
    OSVERSIONINFO ovf;
    ZeroMemory(&ovf, sizeof(ovf));
    ovf.dwOSVersionInfoSize = sizeof(ovf);
    if (get_hostname() && GetVersionEx(&ovf))
    {
	SYSTEM_INFO si;
	_snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d", 
			   ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	switch (ovf.dwPlatformId)
	{
	case VER_PLATFORM_WIN32s:
	    strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
	    break;
	case VER_PLATFORM_WIN32_WINDOWS:
	    strncpy(C_osrel, "Win9x", sizeof(C_osrel) - 1);
	    break;
	case VER_PLATFORM_WIN32_NT:
	default:
	    strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
	    break;
	}
	GetSystemInfo(&si);
	switch (si.wProcessorArchitecture)
	{
    	case PROCESSOR_ARCHITECTURE_INTEL:
	    strncpy(C_processor, "Intel", sizeof(C_processor) - 1);
	    break;
    	case PROCESSOR_ARCHITECTURE_UNKNOWN:
	default:
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    break;
	}
	return 1;
    }
    set_errno(GetLastError());
    return 0;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)


C_externimport void C_scheduler_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_regex_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_extras_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_utils_toplevel(C_word c,C_word d,C_word k) C_noret;

static C_TLS C_word lf[243];


/* from close-handle in k635 in k632 in k629 in k626 in k623 */
static C_word C_fcall stub408(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub408(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_truep(C_a0);
C_r=C_fix((C_word)close_handle(t0));
return C_r;}

/* from get-shell in k635 in k632 in k629 in k626 in k623 */
#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_return; C_cblockend
static C_word C_fcall stub399(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub399(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
    char *ret = getenv("COMSPEC");
    if (ret)
	return (ret);
    else
    {
	OSVERSIONINFO ovf;
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (GetVersionEx(&ovf) && (ovf.dwPlatformId == VER_PLATFORM_WIN32_NT))
	    return ("cmd.exe");
	else
	    return ("command.com");
    }
C_return:
#undef return

return C_r;}

/* from current-process-id in k635 in k632 in k629 in k626 in k623 */
static C_word C_fcall stub397(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub397(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getpid());
return C_r;}

/* from freeargs */
static C_word C_fcall stub374(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub374(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k2215 */
static C_word C_fcall stub367(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub367(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from freeargs */
static C_word C_fcall stub340(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub340(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k2106 */
static C_word C_fcall stub333(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub333(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from k1905 */
static C_word C_fcall stub284(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub284(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from asctime */
static C_word C_fcall stub273(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub273(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0));
return C_r;}

/* from k1854 */
static C_word C_fcall stub264(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub264(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from k1761 */
static C_word C_fcall stub247(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub247(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

C_externexport void C_posix_toplevel(C_word c,C_word t0,C_word t1) C_noret;
static void f_625(C_word c,C_word t0,C_word t1) C_noret;
static void f_628(C_word c,C_word t0,C_word t1) C_noret;
static void f_631(C_word c,C_word t0,C_word t1) C_noret;
static void f_634(C_word c,C_word t0,C_word t1) C_noret;
static void f_637(C_word c,C_word t0,C_word t1) C_noret;
static void f_2545(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2545r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void C_fcall f_2696(C_word t0,C_word t1) C_noret;
static void f_2702(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_2691(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_2686(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_2547(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2673(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2681(C_word c,C_word t0,C_word t1,...) C_noret;
static void C_fcall f_2554(C_word t0,C_word t1) C_noret;
static void f_2661(C_word c,C_word t0,C_word t1) C_noret;
static void f_2564(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2566(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2585(C_word c,C_word t0,C_word t1) C_noret;
static void f_2647(C_word c,C_word t0,C_word t1) C_noret;
static void f_2654(C_word c,C_word t0,C_word t1) C_noret;
static void f_2641(C_word c,C_word t0,C_word t1) C_noret;
static void f_2600(C_word c,C_word t0,C_word t1) C_noret;
static void f_2631(C_word c,C_word t0,C_word t1) C_noret;
static void f_2617(C_word c,C_word t0,C_word t1) C_noret;
static void f_2629(C_word c,C_word t0,C_word t1) C_noret;
static void f_2625(C_word c,C_word t0,C_word t1) C_noret;
static void f_2612(C_word c,C_word t0,C_word t1) C_noret;
static void f_2610(C_word c,C_word t0,C_word t1) C_noret;
static void f_2665(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2514(C_word c,C_word t0,C_word t1) C_noret;
static void f_2540(C_word c,C_word t0,C_word t1) C_noret;
static void f_2525(C_word c,C_word t0,C_word t1) C_noret;
static void f_2529(C_word c,C_word t0,C_word t1) C_noret;
static void f_2533(C_word c,C_word t0,C_word t1) C_noret;
static void f_2537(C_word c,C_word t0,C_word t1) C_noret;
static void f_2502(C_word c,C_word t0,C_word t1) C_noret;
static void f_2499(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2457(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2457r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2479(C_word c,C_word t0,C_word t1) C_noret;
static void f_2357(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2452(C_word c,C_word t0,C_word t1) C_noret;
static void f_2364(C_word c,C_word t0,C_word t1) C_noret;
static void f_2439(C_word c,C_word t0,C_word t1) C_noret;
static void f_2442(C_word c,C_word t0,C_word t1) C_noret;
static void f_2445(C_word c,C_word t0,C_word t1) C_noret;
static void f_2432(C_word c,C_word t0,C_word t1) C_noret;
static void f_2429(C_word c,C_word t0,C_word t1) C_noret;
static void f_2402(C_word c,C_word t0,C_word t1) C_noret;
static void f_2377(C_word c,C_word t0,C_word t1) C_noret;
static void f_2396(C_word c,C_word t0,C_word t1) C_noret;
static void f_2383(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2381(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2354(C_word t0);
static void f_2325(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2325r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2342(C_word c,C_word t0,C_word t1) C_noret;
static void f_2319(C_word c,C_word t0,C_word t1) C_noret;
static void f_2316(C_word c,C_word t0,C_word t1) C_noret;
static void f_2223(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2223r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2239(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2247(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2280(C_word c,C_word t0,C_word t1) C_noret;
static void f_2261(C_word c,C_word t0,C_word t1) C_noret;
static void f_2264(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2204(C_word t0,C_word t1,C_word t2);
static void f_2114(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2114r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2127(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2135(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2168(C_word c,C_word t0,C_word t1) C_noret;
static void f_2149(C_word c,C_word t0,C_word t1) C_noret;
static void f_2152(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2095(C_word t0,C_word t1,C_word t2);
static void f_1986(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1986r(C_word t0,C_word t1,C_word t3) C_noret;
static void C_fcall f_1992(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2013(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2084(C_word c,C_word t0,C_word t1) C_noret;
static void f_2017(C_word c,C_word t0,C_word t1) C_noret;
static void f_2024(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2026(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2043(C_word c,C_word t0,C_word t1) C_noret;
static void f_2053(C_word c,C_word t0,C_word t1) C_noret;
static void f_2057(C_word c,C_word t0,C_word t1) C_noret;
static void f_2007(C_word c,C_word t0,C_word t1) C_noret;
static void f_1927(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1927r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1931(C_word c,C_word t0,C_word t1) C_noret;
static void f_1937(C_word c,C_word t0,C_word t1) C_noret;
static void f_1908(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1908r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1912(C_word c,C_word t0,C_word t1) C_noret;
static void f_1874(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1881(C_word c,C_word t0,C_word t1) C_noret;
static void f_1884(C_word c,C_word t0,C_word t1) C_noret;
static void f_1887(C_word c,C_word t0,C_word t1) C_noret;
static void f_1857(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1861(C_word c,C_word t0,C_word t1) C_noret;
static void f_1864(C_word c,C_word t0,C_word t1) C_noret;
static void f_1838(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1829(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1764(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1770(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1774(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1782(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1808(C_word c,C_word t0,C_word t1) C_noret;
static void f_1812(C_word c,C_word t0,C_word t1) C_noret;
static void f_1800(C_word c,C_word t0,C_word t1) C_noret;
static void f_1744(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1752(C_word c,C_word t0,C_word t1) C_noret;
static void f_1727(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1738(C_word c,C_word t0,C_word t1) C_noret;
static void f_1742(C_word c,C_word t0,C_word t1) C_noret;
static void f_1697(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1697r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_1704(C_word t0,C_word t1) C_noret;
static void f_1713(C_word c,C_word t0,C_word t1) C_noret;
static void f_1707(C_word c,C_word t0,C_word t1) C_noret;
static void f_1662(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1666(C_word c,C_word t0,C_word t1) C_noret;
static void f_1695(C_word c,C_word t0,C_word t1) C_noret;
static void f_1681(C_word c,C_word t0,C_word t1) C_noret;
static void f_1675(C_word c,C_word t0,C_word t1) C_noret;
static void f_1648(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1648r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1660(C_word c,C_word t0,C_word t1) C_noret;
static void f_1634(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1634r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1646(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1616(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1620(C_word c,C_word t0,C_word t1) C_noret;
static void f_1632(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1579(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1587(C_word c,C_word t0,C_word t1) C_noret;
static void f_1570(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1564(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1558(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_1534(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1556(C_word c,C_word t0,C_word t1) C_noret;
static void f_1552(C_word c,C_word t0,C_word t1) C_noret;
static void f_1544(C_word c,C_word t0,C_word t1) C_noret;
static void f_1504(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1532(C_word c,C_word t0,C_word t1) C_noret;
static void f_1528(C_word c,C_word t0,C_word t1) C_noret;
static void f_1520(C_word c,C_word t0,C_word t1) C_noret;
static void f_1449(C_word c,C_word t0,C_word t1) C_noret;
static void f_1462(C_word c,C_word t0,C_word t1) C_noret;
static void f_1453(C_word c,C_word t0,C_word t1) C_noret;
static void f_1429(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1429r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1433(C_word c,C_word t0,C_word t1) C_noret;
static void f_1439(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1439r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1443(C_word c,C_word t0,C_word t1) C_noret;
static void f_1409(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1409r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1413(C_word c,C_word t0,C_word t1) C_noret;
static void f_1419(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1419r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1423(C_word c,C_word t0,C_word t1) C_noret;
static void f_1385(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1385r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1389(C_word c,C_word t0,C_word t1) C_noret;
static void f_1400(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1400r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1404(C_word c,C_word t0,C_word t1) C_noret;
static void f_1394(C_word c,C_word t0,C_word t1) C_noret;
static void f_1361(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1361r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1365(C_word c,C_word t0,C_word t1) C_noret;
static void f_1376(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1376r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1380(C_word c,C_word t0,C_word t1) C_noret;
static void f_1370(C_word c,C_word t0,C_word t1) C_noret;
static void f_1342(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1346(C_word c,C_word t0,C_word t1) C_noret;
static void f_1349(C_word c,C_word t0,C_word t1) C_noret;
static void f_1306(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1306r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1337(C_word c,C_word t0,C_word t1) C_noret;
static void f_1327(C_word c,C_word t0,C_word t1) C_noret;
static void f_1320(C_word c,C_word t0,C_word t1) C_noret;
static void f_1270(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1270r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1301(C_word c,C_word t0,C_word t1) C_noret;
static void f_1291(C_word c,C_word t0,C_word t1) C_noret;
static void f_1284(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1252(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1256(C_word c,C_word t0,C_word t1) C_noret;
static void f_1268(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1246(C_word t0,C_word t1) C_noret;
static C_word C_fcall f_1234(C_word t0);
static void f_1216(C_word c,C_word t0,C_word t1) C_noret;
static void f_1220(C_word c,C_word t0,C_word t1) C_noret;
static void f_1223(C_word c,C_word t0,C_word t1) C_noret;
static void f_1193(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1214(C_word c,C_word t0,C_word t1) C_noret;
static void f_1200(C_word c,C_word t0,C_word t1) C_noret;
static void f_1136(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1143(C_word c,C_word t0,C_word t1) C_noret;
static void f_1146(C_word c,C_word t0,C_word t1) C_noret;
static void f_1149(C_word c,C_word t0,C_word t1) C_noret;
static void f_1191(C_word c,C_word t0,C_word t1) C_noret;
static void f_1153(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1170(C_word t0,C_word t1) C_noret;
static void f_1180(C_word c,C_word t0,C_word t1) C_noret;
static void f_1187(C_word c,C_word t0,C_word t1) C_noret;
static void f_1162(C_word c,C_word t0,C_word t1) C_noret;
static void f_1109(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1134(C_word c,C_word t0,C_word t1) C_noret;
static void f_1130(C_word c,C_word t0,C_word t1) C_noret;
static void f_1122(C_word c,C_word t0,C_word t1) C_noret;
static void f_1082(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1107(C_word c,C_word t0,C_word t1) C_noret;
static void f_1103(C_word c,C_word t0,C_word t1) C_noret;
static void f_1095(C_word c,C_word t0,C_word t1) C_noret;
static void f_1055(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1080(C_word c,C_word t0,C_word t1) C_noret;
static void f_1076(C_word c,C_word t0,C_word t1) C_noret;
static void f_1068(C_word c,C_word t0,C_word t1) C_noret;
static void f_994(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_994r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1007(C_word c,C_word t0,C_word t1) C_noret;
static void f_1022(C_word c,C_word t0,C_word t1) C_noret;
static void f_1013(C_word c,C_word t0,C_word t1) C_noret;
static void f_1016(C_word c,C_word t0,C_word t1) C_noret;
static void f_954(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_973(C_word c,C_word t0,C_word t1) C_noret;
static void f_958(C_word c,C_word t0,C_word t1) C_noret;
static void f_967(C_word c,C_word t0,C_word t1) C_noret;
static void f_961(C_word c,C_word t0,C_word t1) C_noret;
static void f_948(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_952(C_word c,C_word t0,C_word t1) C_noret;
static void f_942(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_946(C_word c,C_word t0,C_word t1) C_noret;
static void f_936(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_940(C_word c,C_word t0,C_word t1) C_noret;
static void f_930(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_934(C_word c,C_word t0,C_word t1) C_noret;
static void f_924(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_928(C_word c,C_word t0,C_word t1) C_noret;
static void f_918(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_922(C_word c,C_word t0,C_word t1) C_noret;
static void f_909(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_913(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_871(C_word t0,C_word t1) C_noret;
static void f_904(C_word c,C_word t0,C_word t1) C_noret;
static void f_900(C_word c,C_word t0,C_word t1) C_noret;
static void f_875(C_word c,C_word t0,C_word t1) C_noret;
static void f_884(C_word c,C_word t0,C_word t1) C_noret;
static void f_833(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_840(C_word c,C_word t0,C_word t1) C_noret;
static void f_843(C_word c,C_word t0,C_word t1) C_noret;
static void f_863(C_word c,C_word t0,C_word t1) C_noret;
static void f_846(C_word c,C_word t0,C_word t1) C_noret;
static void f_853(C_word c,C_word t0,C_word t1) C_noret;
static void f_791(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_791r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_798(C_word c,C_word t0,C_word t1) C_noret;
static void f_813(C_word c,C_word t0,C_word t1) C_noret;
static void f_807(C_word c,C_word t0,C_word t1) C_noret;
static void f_746(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_746r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_756(C_word c,C_word t0,C_word t1) C_noret;
static void f_759(C_word c,C_word t0,C_word t1) C_noret;
static void f_771(C_word c,C_word t0,C_word t1) C_noret;
static void f_762(C_word c,C_word t0,C_word t1) C_noret;
static void f_728(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_741(C_word c,C_word t0,C_word t1) C_noret;
static void f_687(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_687r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_720(C_word c,C_word t0,C_word t1) C_noret;
static void f_704(C_word c,C_word t0,C_word t1) C_noret;
static void f_713(C_word c,C_word t0,C_word t1) C_noret;
static void f_707(C_word c,C_word t0,C_word t1) C_noret;
static void f_639(C_word c,C_word t0,C_word t1) C_noret;
static void f_645(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_654(C_word c,C_word t0,C_word t1) C_noret;

static void C_fcall trf_2696(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2696(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2696(t0,t1);}

static void C_fcall trf_2691(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2691(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2691(t0,t1,t2);}

static void C_fcall trf_2686(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2686(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2686(t0,t1,t2,t3);}

static void C_fcall trf_2547(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2547(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_2547(t0,t1,t2,t3,t4);}

static void C_fcall trf_2554(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2554(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2554(t0,t1);}

static void C_fcall trf_2566(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2566(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2566(t0,t1,t2,t3);}

static void C_fcall trf_2247(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2247(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2247(t0,t1,t2,t3);}

static void C_fcall trf_2135(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2135(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2135(t0,t1,t2,t3);}

static void C_fcall trf_1992(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1992(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1992(t0,t1,t2);}

static void C_fcall trf_2026(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2026(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2026(t0,t1,t2);}

static void C_fcall trf_1770(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1770(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1770(t0,t1,t2);}

static void C_fcall trf_1782(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1782(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1782(t0,t1,t2);}

static void C_fcall trf_1704(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1704(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1704(t0,t1);}

static void C_fcall trf_1616(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1616(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1616(t0,t1,t2,t3);}

static void C_fcall trf_1579(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1579(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1579(t0,t1,t2);}

static void C_fcall trf_1534(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1534(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1534(t0,t1,t2,t3);}

static void C_fcall trf_1252(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1252(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1252(t0,t1,t2,t3);}

static void C_fcall trf_1246(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1246(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1246(t0,t1);}

static void C_fcall trf_1170(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1170(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1170(t0,t1);}

static void C_fcall trf_871(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_871(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_871(t0,t1);}

static void C_fcall tr5(C_proc5 k) C_regparm C_noret;
C_regparm static void C_fcall tr5(C_proc5 k){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
(k)(5,t0,t1,t2,t3,t4);}

static void C_fcall tr3(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3(C_proc3 k){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
(k)(3,t0,t1,t2);}

static void C_fcall tr4(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4(C_proc4 k){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
(k)(4,t0,t1,t2,t3);}

static void C_fcall tr2(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2(C_proc2 k){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
(k)(2,t0,t1);}

static void C_fcall tr2r(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2r(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n*3);
t2=C_restore_rest(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr3r(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3r(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n*3);
t3=C_restore_rest(a,n);
(k)(t0,t1,t2,t3);}

static void C_fcall tr4r(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4r(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n*3);
t4=C_restore_rest(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr2rv(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2rv(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n+1);
t2=C_restore_rest_vector(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr4rv(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4rv(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n+1);
t4=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr3rv(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3rv(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n+1);
t3=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3);}

/* toplevel */
static C_TLS int toplevel_initialized=0;
static void C_fcall toplevel_trampoline(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall toplevel_trampoline(void *dummy){
C_posix_toplevel(2,C_SCHEME_UNDEFINED,C_restore);}

void C_posix_toplevel(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) C_kontinue(t1,C_SCHEME_UNDEFINED);
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(3);
if(!C_demand(3)){
C_save(t1);
C_reclaim((void*)toplevel_trampoline,NULL);}
toplevel_initialized=1;
if(!C_demand_2(3048)){
C_save(t1);
C_rereclaim2(3048*sizeof(C_word), 1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,243);
lf[1]=C_string(C_heaptop,27,"too many optional arguments");
lf[3]=C_h_intern(&lf[3],18,"\003syscurrent-thread");
lf[4]=C_h_intern(&lf[4],12,"\003sysschedule");
lf[5]=C_h_intern(&lf[5],8,"pipe/buf");
lf[6]=C_h_intern(&lf[6],11,"open/rdonly");
lf[7]=C_h_intern(&lf[7],11,"open/wronly");
lf[8]=C_h_intern(&lf[8],9,"open/rdwr");
lf[9]=C_h_intern(&lf[9],9,"open/read");
lf[10]=C_h_intern(&lf[10],10,"open/write");
lf[11]=C_h_intern(&lf[11],10,"open/creat");
lf[12]=C_h_intern(&lf[12],11,"open/append");
lf[13]=C_h_intern(&lf[13],9,"open/excl");
lf[14]=C_h_intern(&lf[14],10,"open/trunc");
lf[15]=C_h_intern(&lf[15],11,"open/binary");
lf[16]=C_h_intern(&lf[16],9,"open/text");
lf[17]=C_h_intern(&lf[17],10,"perm/irusr");
lf[18]=C_h_intern(&lf[18],10,"perm/iwusr");
lf[19]=C_h_intern(&lf[19],10,"perm/ixusr");
lf[20]=C_h_intern(&lf[20],10,"perm/irgrp");
lf[21]=C_h_intern(&lf[21],10,"perm/iwgrp");
lf[22]=C_h_intern(&lf[22],10,"perm/ixgrp");
lf[23]=C_h_intern(&lf[23],10,"perm/iroth");
lf[24]=C_h_intern(&lf[24],10,"perm/iwoth");
lf[25]=C_h_intern(&lf[25],10,"perm/ixoth");
lf[26]=C_h_intern(&lf[26],10,"perm/irwxu");
lf[27]=C_h_intern(&lf[27],10,"perm/irwxg");
lf[28]=C_h_intern(&lf[28],10,"perm/irwxo");
lf[29]=C_h_intern(&lf[29],9,"file-open");
lf[30]=C_h_intern(&lf[30],15,"\003syssignal-hook");
lf[31]=C_h_intern(&lf[31],11,"\000file-error");
lf[32]=C_string(C_heaptop,17,"can not open file");
lf[33]=C_h_intern(&lf[33],16,"\003sysupdate-errno");
lf[34]=C_h_intern(&lf[34],17,"\003sysmake-c-string");
lf[35]=C_h_intern(&lf[35],20,"\003sysexpand-home-path");
lf[36]=C_h_intern(&lf[36],10,"file-close");
lf[37]=C_string(C_heaptop,18,"can not close file");
lf[38]=C_h_intern(&lf[38],11,"make-string");
lf[39]=C_h_intern(&lf[39],9,"file-read");
lf[40]=C_string(C_heaptop,22,"can not read from file");
lf[41]=C_h_intern(&lf[41],11,"\000type-error");
lf[42]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[43]=C_h_intern(&lf[43],10,"file-write");
lf[44]=C_string(C_heaptop,21,"can not write to file");
lf[45]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[46]=C_h_intern(&lf[46],13,"string-length");
lf[47]=C_h_intern(&lf[47],12,"file-mkstemp");
lf[48]=C_h_intern(&lf[48],13,"\003syssubstring");
lf[49]=C_string(C_heaptop,29,"can not create temporary file");
lf[50]=C_h_intern(&lf[50],8,"seek/set");
lf[51]=C_h_intern(&lf[51],8,"seek/end");
lf[52]=C_h_intern(&lf[52],8,"seek/cur");
lf[54]=C_string(C_heaptop,19,"can not access file");
lf[55]=C_string(C_heaptop,42,"bad argument type - not a fixnum or string");
lf[56]=C_h_intern(&lf[56],9,"file-stat");
lf[57]=C_h_intern(&lf[57],9,"file-size");
lf[58]=C_h_intern(&lf[58],22,"file-modification-time");
lf[59]=C_h_intern(&lf[59],16,"file-access-time");
lf[60]=C_h_intern(&lf[60],16,"file-change-time");
lf[61]=C_h_intern(&lf[61],10,"file-owner");
lf[62]=C_h_intern(&lf[62],16,"file-permissions");
lf[63]=C_h_intern(&lf[63],13,"file-position");
lf[64]=C_string(C_heaptop,38,"can not retrieve file position of port");
lf[65]=C_h_intern(&lf[65],6,"stream");
lf[66]=C_string(C_heaptop,12,"invalid file");
lf[67]=C_h_intern(&lf[67],5,"port\077");
lf[68]=C_h_intern(&lf[68],18,"set-file-position!");
lf[69]=C_string(C_heaptop,25,"can not set file position");
lf[70]=C_string(C_heaptop,12,"invalid file");
lf[71]=C_h_intern(&lf[71],13,"\000bounds-error");
lf[72]=C_string(C_heaptop,30,"invalid negative port position");
lf[73]=C_h_intern(&lf[73],16,"create-directory");
lf[74]=C_string(C_heaptop,24,"can not create directory");
lf[75]=C_h_intern(&lf[75],16,"change-directory");
lf[76]=C_string(C_heaptop,32,"can not change current directory");
lf[77]=C_h_intern(&lf[77],16,"delete-directory");
lf[78]=C_string(C_heaptop,24,"can not delete directory");
lf[79]=C_h_intern(&lf[79],13,"string-append");
lf[80]=C_h_intern(&lf[80],6,"string");
lf[81]=C_h_intern(&lf[81],9,"substring");
lf[82]=C_h_intern(&lf[82],9,"directory");
lf[83]=C_string(C_heaptop,22,"can not open directory");
lf[84]=C_h_intern(&lf[84],16,"\003sysmake-pointer");
lf[85]=C_h_intern(&lf[85],10,"directory\077");
lf[86]=C_h_intern(&lf[86],13,"\003sysfile-info");
lf[87]=C_h_intern(&lf[87],17,"current-directory");
lf[88]=C_string(C_heaptop,34,"can not retrieve current directory");
lf[89]=C_h_intern(&lf[89],5,"\000text");
lf[90]=C_h_intern(&lf[90],9,"\003syserror");
lf[91]=C_string(C_heaptop,35,"illegal input/output mode specifier");
lf[92]=C_string(C_heaptop,17,"can not open pipe");
lf[93]=C_h_intern(&lf[93],13,"\003sysmake-port");
lf[94]=C_h_intern(&lf[94],21,"\003sysstream-port-class");
lf[95]=C_string(C_heaptop,6,"(pipe)");
lf[96]=C_h_intern(&lf[96],15,"open-input-pipe");
lf[97]=C_h_intern(&lf[97],7,"\000binary");
lf[98]=C_h_intern(&lf[98],16,"open-output-pipe");
lf[99]=C_h_intern(&lf[99],16,"close-input-pipe");
lf[100]=C_string(C_heaptop,24,"error while closing pipe");
lf[101]=C_h_intern(&lf[101],14,"\003syscheck-port");
lf[102]=C_h_intern(&lf[102],17,"close-output-pipe");
lf[103]=C_h_intern(&lf[103],20,"call-with-input-pipe");
lf[104]=C_h_intern(&lf[104],6,"values");
lf[105]=C_h_intern(&lf[105],21,"call-with-output-pipe");
lf[106]=C_h_intern(&lf[106],20,"with-input-from-pipe");
lf[107]=C_h_intern(&lf[107],18,"\003sysstandard-input");
lf[108]=C_h_intern(&lf[108],19,"with-output-to-pipe");
lf[109]=C_h_intern(&lf[109],19,"\003sysstandard-output");
lf[110]=C_h_intern(&lf[110],11,"create-pipe");
lf[111]=C_string(C_heaptop,19,"can not create pipe");
lf[112]=C_h_intern(&lf[112],10,"errno/perm");
lf[113]=C_h_intern(&lf[113],11,"errno/noent");
lf[114]=C_h_intern(&lf[114],10,"errno/srch");
lf[115]=C_h_intern(&lf[115],10,"errno/intr");
lf[116]=C_h_intern(&lf[116],8,"errno/io");
lf[117]=C_h_intern(&lf[117],12,"errno/noexec");
lf[118]=C_h_intern(&lf[118],10,"errno/badf");
lf[119]=C_h_intern(&lf[119],11,"errno/child");
lf[120]=C_h_intern(&lf[120],11,"errno/nomem");
lf[121]=C_h_intern(&lf[121],11,"errno/acces");
lf[122]=C_h_intern(&lf[122],11,"errno/fault");
lf[123]=C_h_intern(&lf[123],10,"errno/busy");
lf[124]=C_h_intern(&lf[124],12,"errno/notdir");
lf[125]=C_h_intern(&lf[125],11,"errno/isdir");
lf[126]=C_h_intern(&lf[126],11,"errno/inval");
lf[127]=C_h_intern(&lf[127],11,"errno/mfile");
lf[128]=C_h_intern(&lf[128],11,"errno/nospc");
lf[129]=C_h_intern(&lf[129],11,"errno/spipe");
lf[130]=C_h_intern(&lf[130],10,"errno/pipe");
lf[131]=C_h_intern(&lf[131],11,"errno/again");
lf[132]=C_h_intern(&lf[132],10,"errno/rofs");
lf[133]=C_h_intern(&lf[133],10,"errno/nxio");
lf[134]=C_h_intern(&lf[134],10,"errno/2big");
lf[135]=C_h_intern(&lf[135],10,"errno/xdev");
lf[136]=C_h_intern(&lf[136],11,"errno/nodev");
lf[137]=C_h_intern(&lf[137],11,"errno/nfile");
lf[138]=C_h_intern(&lf[138],11,"errno/notty");
lf[139]=C_h_intern(&lf[139],10,"errno/fbig");
lf[140]=C_h_intern(&lf[140],11,"errno/mlink");
lf[141]=C_h_intern(&lf[141],9,"errno/dom");
lf[142]=C_h_intern(&lf[142],11,"errno/range");
lf[143]=C_h_intern(&lf[143],12,"errno/deadlk");
lf[144]=C_h_intern(&lf[144],17,"errno/nametoolong");
lf[145]=C_h_intern(&lf[145],11,"errno/nolck");
lf[146]=C_h_intern(&lf[146],11,"errno/nosys");
lf[147]=C_h_intern(&lf[147],14,"errno/notempty");
lf[148]=C_h_intern(&lf[148],11,"errno/ilseq");
lf[149]=C_h_intern(&lf[149],16,"change-file-mode");
lf[150]=C_string(C_heaptop,24,"can not change file mode");
lf[151]=C_h_intern(&lf[151],17,"file-read-access\077");
lf[152]=C_h_intern(&lf[152],18,"file-write-access\077");
lf[153]=C_h_intern(&lf[153],20,"file-execute-access\077");
lf[154]=C_h_intern(&lf[154],12,"fileno/stdin");
lf[155]=C_h_intern(&lf[155],13,"fileno/stdout");
lf[156]=C_h_intern(&lf[156],13,"fileno/stderr");
lf[157]=C_h_intern(&lf[157],7,"\000append");
lf[158]=C_string(C_heaptop,27,"invalid mode for input file");
lf[159]=C_string(C_heaptop,1,"a");
lf[160]=C_string(C_heaptop,21,"invalid mode argument");
lf[161]=C_string(C_heaptop,1,"r");
lf[162]=C_string(C_heaptop,1,"w");
lf[163]=C_string(C_heaptop,17,"can not open file");
lf[164]=C_string(C_heaptop,8,"(fdport)");
lf[165]=C_h_intern(&lf[165],16,"open-input-file*");
lf[166]=C_h_intern(&lf[166],17,"open-output-file*");
lf[167]=C_h_intern(&lf[167],12,"port->fileno");
lf[168]=C_string(C_heaptop,25,"port has no attached file");
lf[169]=C_string(C_heaptop,38,"can not access file-descriptor of port");
lf[170]=C_h_intern(&lf[170],25,"\003syspeek-unsigned-integer");
lf[171]=C_h_intern(&lf[171],16,"duplicate-fileno");
lf[172]=C_string(C_heaptop,33,"can not duplicate file descriptor");
lf[173]=C_h_intern(&lf[173],6,"setenv");
lf[174]=C_h_intern(&lf[174],8,"unsetenv");
lf[175]=C_h_intern(&lf[175],19,"current-environment");
lf[176]=C_h_intern(&lf[176],17,"\003syspeek-c-string");
lf[177]=C_h_intern(&lf[177],19,"seconds->local-time");
lf[178]=C_h_intern(&lf[178],18,"\003sysdecode-seconds");
lf[179]=C_h_intern(&lf[179],17,"seconds->utc-time");
lf[180]=C_h_intern(&lf[180],15,"seconds->string");
lf[181]=C_string(C_heaptop,33,"can not convert seconds to string");
lf[182]=C_h_intern(&lf[182],12,"time->string");
lf[183]=C_string(C_heaptop,29,"can not time vector to string");
lf[184]=C_string(C_heaptop,21,"time vector too short");
lf[185]=C_h_intern(&lf[185],5,"_exit");
lf[186]=C_h_intern(&lf[186],23,"\003syscleanup-before-exit");
lf[187]=C_h_intern(&lf[187],19,"set-buffering-mode!");
lf[188]=C_string(C_heaptop,26,"can not set buffering mode");
lf[189]=C_h_intern(&lf[189],5,"\000full");
lf[190]=C_h_intern(&lf[190],5,"\000line");
lf[191]=C_h_intern(&lf[191],5,"\000none");
lf[192]=C_string(C_heaptop,22,"invalid buffering-mode");
lf[193]=C_h_intern(&lf[193],15,"pattern->regexp");
lf[194]=C_h_intern(&lf[194],13,"make-pathname");
lf[195]=C_h_intern(&lf[195],18,"decompose-pathname");
lf[196]=C_h_intern(&lf[196],4,"glob");
lf[197]=C_h_intern(&lf[197],12,"string-match");
lf[198]=C_string(C_heaptop,1,".");
lf[199]=C_string(C_heaptop,1,"*");
lf[200]=C_h_intern(&lf[200],13,"spawn/overlay");
lf[201]=C_h_intern(&lf[201],10,"spawn/wait");
lf[202]=C_h_intern(&lf[202],12,"spawn/nowait");
lf[203]=C_h_intern(&lf[203],13,"spawn/nowaito");
lf[204]=C_h_intern(&lf[204],12,"spawn/detach");
lf[205]=C_h_intern(&lf[205],24,"pathname-strip-directory");
lf[206]=C_h_intern(&lf[206],15,"process-execute");
lf[207]=C_string(C_heaptop,23,"can not execute process");
lf[208]=C_h_intern(&lf[208],13,"process-spawn");
lf[209]=C_string(C_heaptop,23,"can not execute process");
lf[210]=C_h_intern(&lf[210],18,"current-process-id");
lf[211]=C_h_intern(&lf[211],9,"get-shell");
lf[212]=C_h_intern(&lf[212],6,"getenv");
lf[213]=C_h_intern(&lf[213],11,"process-run");
lf[214]=C_string(C_heaptop,2,"/c");
lf[216]=C_h_intern(&lf[216],15,"make-input-port");
lf[217]=C_h_intern(&lf[217],16,"make-output-port");
lf[218]=C_h_intern(&lf[218],7,"process");
lf[219]=C_string(C_heaptop,23,"could not write to pipe");
lf[220]=C_h_intern(&lf[220],11,"end-of-file");
lf[221]=C_string(C_heaptop,24,"could not read from pipe");
lf[222]=C_string(C_heaptop,24,"could not create process");
lf[223]=C_h_intern(&lf[223],14,"C_close_handle");
lf[224]=C_string(C_heaptop,4," /c ");
lf[225]=C_string(C_heaptop,1,"\000");
lf[226]=C_string(C_heaptop,22,"could not redirect I/O");
lf[227]=C_h_intern(&lf[227],12,"process-wait");
lf[228]=C_h_intern(&lf[228],5,"sleep");
lf[229]=C_h_intern(&lf[229],13,"get-host-name");
lf[230]=C_string(C_heaptop,26,"can not retrieve host-name");
lf[231]=C_h_intern(&lf[231],18,"system-information");
lf[232]=C_string(C_heaptop,7,"windows");
lf[233]=C_string(C_heaptop,35,"can not retrieve system-information");
lf[234]=C_h_intern(&lf[234],10,"find-files");
lf[235]=C_string(C_heaptop,1,".");
lf[236]=C_string(C_heaptop,2,"..");
lf[237]=C_string(C_heaptop,1,"*");
lf[238]=C_h_intern(&lf[238],16,"\003sysdynamic-wind");
lf[239]=C_h_intern(&lf[239],13,"pathname-file");
lf[240]=C_string(C_heaptop,1,"*");
lf[241]=C_h_intern(&lf[241],17,"register-feature!");
lf[242]=C_h_intern(&lf[242],5,"posix");
C_register_lf(lf,243);
t2=C_mutate(&lf[0],lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_625,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
C_scheduler_toplevel(2,C_SCHEME_UNDEFINED,t3);}

/* k623 */
static void f_625(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_625,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_628,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_regex_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k626 in k623 */
static void f_628(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_628,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_631,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_extras_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k629 in k626 in k623 */
static void f_631(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_631,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_634,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_utils_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k632 in k629 in k626 in k623 */
static void f_634(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_634,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_637,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[241]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,lf[242]);}

/* k635 in k632 in k629 in k626 in k623 */
static void f_637(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word ab[184],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_637,2,t0,t1);}
t2=C_mutate(&lf[2],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_639,tmp=(C_word)a,a+=2,tmp));
t3=C_mutate((C_word*)lf[5]+1,C_fix((C_word)PIPE_BUF));
t4=C_mutate((C_word*)lf[6]+1,C_fix((C_word)O_RDONLY));
t5=C_mutate((C_word*)lf[7]+1,C_fix((C_word)O_WRONLY));
t6=C_mutate((C_word*)lf[8]+1,C_fix((C_word)O_RDWR));
t7=C_mutate((C_word*)lf[9]+1,C_fix((C_word)O_RDWR));
t8=C_mutate((C_word*)lf[10]+1,C_fix((C_word)O_WRONLY));
t9=C_mutate((C_word*)lf[11]+1,C_fix((C_word)O_CREAT));
t10=C_mutate((C_word*)lf[12]+1,C_fix((C_word)O_APPEND));
t11=C_mutate((C_word*)lf[13]+1,C_fix((C_word)O_EXCL));
t12=C_mutate((C_word*)lf[14]+1,C_fix((C_word)O_TRUNC));
t13=C_mutate((C_word*)lf[15]+1,C_fix((C_word)O_BINARY));
t14=C_mutate((C_word*)lf[16]+1,C_fix((C_word)O_TEXT));
t15=C_mutate((C_word*)lf[17]+1,C_fix((C_word)S_IREAD));
t16=C_mutate((C_word*)lf[18]+1,C_fix((C_word)S_IWRITE));
t17=C_mutate((C_word*)lf[19]+1,C_fix((C_word)S_IEXEC));
t18=C_mutate((C_word*)lf[20]+1,C_fix((C_word)S_IREAD));
t19=C_mutate((C_word*)lf[21]+1,C_fix((C_word)S_IWRITE));
t20=C_mutate((C_word*)lf[22]+1,C_fix((C_word)S_IEXEC));
t21=C_mutate((C_word*)lf[23]+1,C_fix((C_word)S_IREAD));
t22=C_mutate((C_word*)lf[24]+1,C_fix((C_word)S_IWRITE));
t23=C_mutate((C_word*)lf[25]+1,C_fix((C_word)S_IEXEC));
t24=C_mutate((C_word*)lf[26]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t25=C_mutate((C_word*)lf[27]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t26=C_mutate((C_word*)lf[28]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t27=(C_word)C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t28=(C_word)C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC),t27);
t29=C_mutate((C_word*)lf[29]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_687,a[2]=t28,tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[36]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_728,tmp=(C_word)a,a+=2,tmp));
t31=*((C_word*)lf[38]+1);
t32=C_mutate((C_word*)lf[39]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_746,a[2]=t31,tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[43]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_791,tmp=(C_word)a,a+=2,tmp));
t34=*((C_word*)lf[46]+1);
t35=C_mutate((C_word*)lf[47]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_833,a[2]=t34,tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[50]+1,C_fix((C_word)SEEK_SET));
t37=C_mutate((C_word*)lf[51]+1,C_fix((C_word)SEEK_END));
t38=C_mutate((C_word*)lf[52]+1,C_fix((C_word)SEEK_CUR));
t39=C_mutate(&lf[53],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_871,tmp=(C_word)a,a+=2,tmp));
t40=C_mutate((C_word*)lf[56]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_909,tmp=(C_word)a,a+=2,tmp));
t41=C_mutate((C_word*)lf[57]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_918,tmp=(C_word)a,a+=2,tmp));
t42=C_mutate((C_word*)lf[58]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_924,tmp=(C_word)a,a+=2,tmp));
t43=C_mutate((C_word*)lf[59]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_930,tmp=(C_word)a,a+=2,tmp));
t44=C_mutate((C_word*)lf[60]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_936,tmp=(C_word)a,a+=2,tmp));
t45=C_mutate((C_word*)lf[61]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_942,tmp=(C_word)a,a+=2,tmp));
t46=C_mutate((C_word*)lf[62]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_948,tmp=(C_word)a,a+=2,tmp));
t47=C_mutate((C_word*)lf[63]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_954,tmp=(C_word)a,a+=2,tmp));
t48=C_mutate((C_word*)lf[68]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_994,tmp=(C_word)a,a+=2,tmp));
t49=C_mutate((C_word*)lf[73]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1055,tmp=(C_word)a,a+=2,tmp));
t50=C_mutate((C_word*)lf[75]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1082,tmp=(C_word)a,a+=2,tmp));
t51=C_mutate((C_word*)lf[77]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1109,tmp=(C_word)a,a+=2,tmp));
t52=*((C_word*)lf[79]+1);
t53=*((C_word*)lf[38]+1);
t54=*((C_word*)lf[80]+1);
t55=*((C_word*)lf[81]+1);
t56=C_mutate((C_word*)lf[82]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1136,a[2]=t53,a[3]=t55,tmp=(C_word)a,a+=4,tmp));
t57=C_mutate((C_word*)lf[85]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1193,tmp=(C_word)a,a+=2,tmp));
t58=*((C_word*)lf[38]+1);
t59=*((C_word*)lf[81]+1);
t60=C_mutate((C_word*)lf[87]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1216,a[2]=t58,a[3]=t59,tmp=(C_word)a,a+=4,tmp));
t61=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1234,tmp=(C_word)a,a+=2,tmp);
t62=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1246,tmp=(C_word)a,a+=2,tmp);
t63=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1252,tmp=(C_word)a,a+=2,tmp);
t64=C_mutate((C_word*)lf[96]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1270,a[2]=t62,a[3]=t63,a[4]=t61,tmp=(C_word)a,a+=5,tmp));
t65=C_mutate((C_word*)lf[98]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1306,a[2]=t62,a[3]=t63,a[4]=t61,tmp=(C_word)a,a+=5,tmp));
t66=C_mutate((C_word*)lf[99]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1342,tmp=(C_word)a,a+=2,tmp));
t67=C_mutate((C_word*)lf[102]+1,*((C_word*)lf[99]+1));
t68=*((C_word*)lf[96]+1);
t69=*((C_word*)lf[98]+1);
t70=*((C_word*)lf[99]+1);
t71=*((C_word*)lf[102]+1);
t72=C_mutate((C_word*)lf[103]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1361,a[2]=t68,a[3]=t70,tmp=(C_word)a,a+=4,tmp));
t73=C_mutate((C_word*)lf[105]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1385,a[2]=t69,a[3]=t71,tmp=(C_word)a,a+=4,tmp));
t74=C_mutate((C_word*)lf[106]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1409,a[2]=t68,a[3]=t70,tmp=(C_word)a,a+=4,tmp));
t75=C_mutate((C_word*)lf[108]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1429,a[2]=t69,a[3]=t71,tmp=(C_word)a,a+=4,tmp));
t76=C_mutate((C_word*)lf[110]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1449,tmp=(C_word)a,a+=2,tmp));
t77=C_mutate((C_word*)lf[112]+1,C_fix((C_word)EPERM));
t78=C_mutate((C_word*)lf[113]+1,C_fix((C_word)ENOENT));
t79=C_mutate((C_word*)lf[114]+1,C_fix((C_word)ESRCH));
t80=C_mutate((C_word*)lf[115]+1,C_fix((C_word)EINTR));
t81=C_mutate((C_word*)lf[116]+1,C_fix((C_word)EIO));
t82=C_mutate((C_word*)lf[117]+1,C_fix((C_word)ENOEXEC));
t83=C_mutate((C_word*)lf[118]+1,C_fix((C_word)EBADF));
t84=C_mutate((C_word*)lf[119]+1,C_fix((C_word)ECHILD));
t85=C_mutate((C_word*)lf[120]+1,C_fix((C_word)ENOMEM));
t86=C_mutate((C_word*)lf[121]+1,C_fix((C_word)EACCES));
t87=C_mutate((C_word*)lf[122]+1,C_fix((C_word)EFAULT));
t88=C_mutate((C_word*)lf[123]+1,C_fix((C_word)EBUSY));
t89=C_mutate((C_word*)lf[124]+1,C_fix((C_word)ENOTDIR));
t90=C_mutate((C_word*)lf[125]+1,C_fix((C_word)EISDIR));
t91=C_mutate((C_word*)lf[126]+1,C_fix((C_word)EINVAL));
t92=C_mutate((C_word*)lf[127]+1,C_fix((C_word)EMFILE));
t93=C_mutate((C_word*)lf[128]+1,C_fix((C_word)ENOSPC));
t94=C_mutate((C_word*)lf[129]+1,C_fix((C_word)ESPIPE));
t95=C_mutate((C_word*)lf[130]+1,C_fix((C_word)EPIPE));
t96=C_mutate((C_word*)lf[131]+1,C_fix((C_word)EAGAIN));
t97=C_mutate((C_word*)lf[132]+1,C_fix((C_word)EROFS));
t98=C_mutate((C_word*)lf[133]+1,C_fix((C_word)ENXIO));
t99=C_mutate((C_word*)lf[134]+1,C_fix((C_word)E2BIG));
t100=C_mutate((C_word*)lf[135]+1,C_fix((C_word)EXDEV));
t101=C_mutate((C_word*)lf[136]+1,C_fix((C_word)ENODEV));
t102=C_mutate((C_word*)lf[137]+1,C_fix((C_word)ENFILE));
t103=C_mutate((C_word*)lf[138]+1,C_fix((C_word)ENOTTY));
t104=C_mutate((C_word*)lf[139]+1,C_fix((C_word)EFBIG));
t105=C_mutate((C_word*)lf[140]+1,C_fix((C_word)EMLINK));
t106=C_mutate((C_word*)lf[141]+1,C_fix((C_word)EDOM));
t107=C_mutate((C_word*)lf[142]+1,C_fix((C_word)ERANGE));
t108=C_mutate((C_word*)lf[143]+1,C_fix((C_word)EDEADLK));
t109=C_mutate((C_word*)lf[144]+1,C_fix((C_word)ENAMETOOLONG));
t110=C_mutate((C_word*)lf[145]+1,C_fix((C_word)ENOLCK));
t111=C_mutate((C_word*)lf[146]+1,C_fix((C_word)ENOSYS));
t112=C_mutate((C_word*)lf[147]+1,C_fix((C_word)ENOTEMPTY));
t113=C_mutate((C_word*)lf[148]+1,C_fix((C_word)EILSEQ));
t114=C_mutate((C_word*)lf[149]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1504,tmp=(C_word)a,a+=2,tmp));
t115=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1534,tmp=(C_word)a,a+=2,tmp);
t116=C_mutate((C_word*)lf[151]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1558,a[2]=t115,tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[152]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1564,a[2]=t115,tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[153]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1570,a[2]=t115,tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[154]+1,C_fix((C_word)0));
t120=C_mutate((C_word*)lf[155]+1,C_fix((C_word)1));
t121=C_mutate((C_word*)lf[156]+1,C_fix((C_word)2));
t122=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1579,tmp=(C_word)a,a+=2,tmp);
t123=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1616,tmp=(C_word)a,a+=2,tmp);
t124=C_mutate((C_word*)lf[165]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1634,a[2]=t122,a[3]=t123,tmp=(C_word)a,a+=4,tmp));
t125=C_mutate((C_word*)lf[166]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1648,a[2]=t122,a[3]=t123,tmp=(C_word)a,a+=4,tmp));
t126=C_mutate((C_word*)lf[167]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1662,tmp=(C_word)a,a+=2,tmp));
t127=C_mutate((C_word*)lf[171]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1697,tmp=(C_word)a,a+=2,tmp));
t128=C_mutate((C_word*)lf[173]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1727,tmp=(C_word)a,a+=2,tmp));
t129=C_mutate((C_word*)lf[174]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1744,tmp=(C_word)a,a+=2,tmp));
t130=*((C_word*)lf[81]+1);
t131=C_mutate((C_word*)lf[175]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1764,a[2]=t130,tmp=(C_word)a,a+=3,tmp));
t132=C_mutate((C_word*)lf[177]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1829,tmp=(C_word)a,a+=2,tmp));
t133=C_mutate((C_word*)lf[179]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1838,tmp=(C_word)a,a+=2,tmp));
t134=C_mutate((C_word*)lf[180]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1857,tmp=(C_word)a,a+=2,tmp));
t135=C_mutate((C_word*)lf[182]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1874,tmp=(C_word)a,a+=2,tmp));
t136=C_mutate((C_word*)lf[185]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1908,tmp=(C_word)a,a+=2,tmp));
t137=C_mutate((C_word*)lf[187]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1927,tmp=(C_word)a,a+=2,tmp));
t138=*((C_word*)lf[193]+1);
t139=*((C_word*)lf[82]+1);
t140=*((C_word*)lf[194]+1);
t141=*((C_word*)lf[195]+1);
t142=C_mutate((C_word*)lf[196]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1986,a[2]=t138,a[3]=t139,a[4]=t140,a[5]=t141,tmp=(C_word)a,a+=6,tmp));
t143=C_mutate((C_word*)lf[200]+1,C_fix((C_word)P_OVERLAY));
t144=C_mutate((C_word*)lf[201]+1,C_fix((C_word)P_WAIT));
t145=C_mutate((C_word*)lf[202]+1,C_fix((C_word)P_NOWAIT));
t146=C_mutate((C_word*)lf[203]+1,C_fix((C_word)P_NOWAITO));
t147=C_mutate((C_word*)lf[204]+1,C_fix((C_word)P_DETACH));
t148=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2095,tmp=(C_word)a,a+=2,tmp);
t149=*((C_word*)lf[205]+1);
t150=C_mutate((C_word*)lf[206]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2114,a[2]=t149,a[3]=t148,tmp=(C_word)a,a+=4,tmp));
t151=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2204,tmp=(C_word)a,a+=2,tmp);
t152=*((C_word*)lf[205]+1);
t153=C_mutate((C_word*)lf[208]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2223,a[2]=t152,a[3]=t151,tmp=(C_word)a,a+=4,tmp));
t154=C_mutate((C_word*)lf[210]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2316,tmp=(C_word)a,a+=2,tmp));
t155=C_mutate((C_word*)lf[211]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2319,tmp=(C_word)a,a+=2,tmp));
t156=*((C_word*)lf[208]+1);
t157=*((C_word*)lf[212]+1);
t158=C_mutate((C_word*)lf[213]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2325,a[2]=t156,tmp=(C_word)a,a+=3,tmp));
t159=C_mutate(&lf[215],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2354,tmp=(C_word)a,a+=2,tmp));
t160=*((C_word*)lf[216]+1);
t161=*((C_word*)lf[217]+1);
t162=C_mutate((C_word*)lf[218]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2357,a[2]=t160,a[3]=t161,tmp=(C_word)a,a+=4,tmp));
t163=C_mutate((C_word*)lf[227]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2457,tmp=(C_word)a,a+=2,tmp));
t164=C_mutate((C_word*)lf[228]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2499,tmp=(C_word)a,a+=2,tmp));
t165=C_mutate((C_word*)lf[229]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2502,tmp=(C_word)a,a+=2,tmp));
t166=C_mutate((C_word*)lf[231]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2514,tmp=(C_word)a,a+=2,tmp));
t167=*((C_word*)lf[196]+1);
t168=*((C_word*)lf[197]+1);
t169=*((C_word*)lf[194]+1);
t170=*((C_word*)lf[85]+1);
t171=C_mutate((C_word*)lf[234]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2545,a[2]=t170,a[3]=t169,a[4]=t167,a[5]=t168,tmp=(C_word)a,a+=6,tmp));
t172=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t172+1)))(2,t172,C_SCHEME_UNDEFINED);}

/* find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2545(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+17)){
C_save_and_reclaim((void*)tr4r,(void*)f_2545r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2545r(t0,t1,t2,t3,t4);}}

static void f_2545r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(17);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2547,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2686,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2691,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2696,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t4))){
t9=t8;
f_2696(t9,t1);}
else{
t9=(C_word)C_i_car(t4);
t10=(C_word)C_i_cdr(t4);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t7;
f_2691(t11,t1,t9);}
else{
t11=(C_word)C_i_car(t10);
t12=(C_word)C_i_cdr(t10);
if(C_truep((C_word)C_i_nullp(t12))){
t13=t6;
f_2686(t13,t1,t9,t11);}
else{
t13=(C_word)C_i_car(t12);
t14=(C_word)C_i_cdr(t12);
if(C_truep((C_word)C_i_nullp(t14))){
t15=t5;
f_2547(t15,t1,t9,t11,t13);}
else{
t15=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t15+1)))(4,t15,t1,lf[0],t14);}}}}}

/* def-action448 in find-files in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2696(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2696,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2702,tmp=(C_word)a,a+=2,tmp);
t3=((C_word*)t0)[2];
f_2691(t3,t1,t2);}

/* a2701 in def-action448 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2702(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word ab[3],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2702,4,t0,t1,t2,t3);}
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_a_i_cons(&a,2,t2,t3));}

/* def-id449 in find-files in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2691(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2691,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_2686(t3,t1,t2,C_SCHEME_END_OF_LIST);}

/* def-limit450 in find-files in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2686(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2686,NULL,4,t0,t1,t2,t3);}
t4=((C_word*)t0)[2];
f_2547(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2547(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2547,NULL,5,t0,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(((C_word*)t0)[7],lf[234]);
t6=C_fix(0);
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_2554,a[2]=((C_word*)t0)[7],a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=t2,a[7]=((C_word*)t0)[3],a[8]=((C_word*)t0)[4],a[9]=t7,a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],tmp=(C_word)a,a+=12,tmp);
t9=t4;
if(C_truep(t9)){
t10=(C_word)C_fixnump(t4);
t11=t8;
f_2554(t11,(C_truep(t10)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2681,a[2]=t4,a[3]=t7,tmp=(C_word)a,a+=4,tmp):t4));}
else{
t10=t8;
f_2554(t10,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2673,tmp=(C_word)a,a+=2,tmp));}}

/* f_2673 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2673(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2673,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_TRUE);}

/* f_2681 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2681(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2681,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_fixnum_lessp(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[2]));}

/* k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2554(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2554,NULL,2,t0,t1);}
t2=(C_word)C_i_stringp(((C_word*)t0)[11]);
t3=(C_truep(t2)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2665,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[10],tmp=(C_word)a,a+=4,tmp):((C_word*)t0)[11]);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2564,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2661,a[2]=t4,a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[7];
((C_proc4)C_retrieve_proc(t6))(4,t6,t5,((C_word*)t0)[2],lf[240]);}

/* k2659 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2661(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2564(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2564,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2566,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=t3,tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_2566(t5,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2566(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2566,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=(C_word)C_slot(t2,C_fix(0));
t5=(C_word)C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_2585,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t4,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t3,a[10]=t5,a[11]=t1,a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
t7=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,t4);}}

/* k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2585(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2585,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2641,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],tmp=(C_word)a,a+=11,tmp);
t3=*((C_word*)lf[239]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2647,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[11],a[7]=((C_word*)t0)[12],tmp=(C_word)a,a+=8,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[5]);}}

/* k2645 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2647(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2647,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2654,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[4];
((C_proc4)C_retrieve_proc(t3))(4,t3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t2=((C_word*)((C_word*)t0)[7])[1];
f_2566(t2,((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[2]);}}

/* k2652 in k2645 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2654(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2566(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2641(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2641,2,t0,t1);}
if(C_truep((C_truep((C_word)C_i_equalp(t1,lf[235]))?C_SCHEME_TRUE:(C_truep((C_word)C_i_equalp(t1,lf[236]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
t2=((C_word*)((C_word*)t0)[10])[1];
f_2566(t2,((C_word*)t0)[9],((C_word*)t0)[8],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2600,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[3]);}}

/* k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2600(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[26],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2600,2,t0,t1);}
if(C_truep(t1)){
t2=(C_word)C_fixnum_plus(((C_word*)((C_word*)t0)[9])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2610,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2612,a[2]=t4,a[3]=((C_word*)t0)[9],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2617,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2631,a[2]=t6,a[3]=((C_word*)t0)[9],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t11=*((C_word*)lf[238]+1);
((C_proc5)(void*)(*((C_word*)t11+1)))(5,t11,t7,t8,t9,t10);}
else{
t2=((C_word*)((C_word*)t0)[8])[1];
f_2566(t2,((C_word*)t0)[7],((C_word*)t0)[6],((C_word*)t0)[5]);}}

/* a2630 in k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2631(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2631,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* a2616 in k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2617(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2617,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2625,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2629,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,t3,((C_word*)t0)[2],lf[237]);}

/* k2627 in a2616 in k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2629(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k2623 in a2616 in k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2625(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2566(t2,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* a2611 in k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2612(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2612,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2608 in k2598 in k2639 in k2583 in loop in k2562 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2610(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2566(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* f_2665 in k2552 in body446 in find-files in k635 in k632 in k629 in k626 in k623 */
static void f_2665(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2665,3,t0,t1,t2);}
t3=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t3))(4,t3,t1,((C_word*)t0)[2],t2);}

/* system-information in k635 in k632 in k629 in k626 in k623 */
static void f_2514(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2514,2,t0,t1);}
if(C_truep((C_word)C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2525,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2540,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k2538 in system-information in k635 in k632 in k629 in k626 in k623 */
static void f_2540(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[231],lf[233]);}

/* k2523 in system-information in k635 in k632 in k629 in k626 in k623 */
static void f_2525(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2525,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2529,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osrel),C_fix(0));}

/* k2527 in k2523 in system-information in k635 in k632 in k629 in k626 in k623 */
static void f_2529(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2529,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2533,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osver),C_fix(0));}

/* k2531 in k2527 in k2523 in system-information in k635 in k632 in k629 in k626 in k623 */
static void f_2533(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2533,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2537,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_processor),C_fix(0));}

/* k2535 in k2531 in k2527 in k2523 in system-information in k635 in k632 in k629 in k626 in k623 */
static void f_2537(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(7,0,((C_word*)t0)[5],lf[232],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* get-host-name in k635 in k632 in k629 in k626 in k623 */
static void f_2502(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2502,2,t0,t1);}
if(C_truep((C_word)C_get_hostname())){
t2=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[229],lf[230]);}}

/* sleep in k635 in k632 in k629 in k626 in k623 */
static void f_2499(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2499,3,t0,t1,t2);}
t3=(C_word)C_sleep(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_fix(0));}

/* process-wait in k635 in k632 in k629 in k626 in k623 */
static void f_2457(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr3r,(void*)f_2457r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2457r(t0,t1,t2,t3);}}

static void f_2457r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a=C_alloc(3);
t4=(C_word)C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_i_car(t3));
t6=(C_word)C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:(C_word)C_i_cdr(t3));
if(C_truep((C_word)C_i_nullp(t7))){
if(C_truep((C_word)C_process_wait(t2,t5))){
C_values(5,0,t1,t2,C_SCHEME_TRUE,C_fix((C_word)C_exstatus));}
else{
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2479,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,t8);}}
else{
t8=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t1,lf[0],t7);}}

/* k2477 in process-wait in k635 in k632 in k629 in k626 in k623 */
static void f_2479(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[2],C_fix(0),C_SCHEME_FALSE,C_fix(0));}

/* process in k635 in k632 in k629 in k626 in k623 */
static void f_2357(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[11],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2357,3,t0,t1,t2);}
if(C_truep((C_word)C_redir_io())){
t3=C_fix((C_word)C_wr0_);
t4=C_fix((C_word)C_rd1_);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2364,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2452,a[2]=t2,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[211]+1);
((C_proc2)C_retrieve_proc(t7))(2,t7,t6);}
else{
t3=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[218],lf[226]);}}

/* k2450 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2452(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[79]+1);
((C_proc6)C_retrieve_proc(t2))(6,t2,((C_word*)t0)[3],t1,lf[224],((C_word*)t0)[2],lf[225]);}

/* k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2364(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2364,2,t0,t1);}
t2=(C_word)C_run_process(t1);
if(C_truep((C_word)C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2377,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=t2,a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2402,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2429,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2432,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t7=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t7))(5,t7,t3,t4,t5,t6);}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2439,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k2437 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2439(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2439,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2442,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[223]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k2440 in k2437 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2442(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2442,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2445,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[223]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k2443 in k2440 in k2437 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2445(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[218],lf[222]);}

/* a2431 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2432(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2432,2,t0,t1);}
t2=t1;
((C_proc2)C_retrieve_proc(t2))(2,t2,f_2354(((C_word*)t0)[2]));}

/* a2428 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2429(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2429,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_pipe_ready(((C_word*)t0)[2]));}

/* a2401 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2402(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2402,2,t0,t1);}
t2=(C_word)C_pipe_read(((C_word*)t0)[2]);
switch(t2){
case C_fix(-1):
t3=*((C_word*)lf[220]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t1);
case C_fix(0):
t3=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[218],lf[221]);
default:
t3=(C_word)C_eqp(t2,C_fix(1));
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_truep(t3)?C_make_character((C_word)C_rdbuf):C_SCHEME_UNDEFINED));}}

/* k2375 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2377(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2377,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2381,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2383,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2396,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t5=((C_word*)t0)[2];
((C_proc4)C_retrieve_proc(t5))(4,t5,t2,t3,t4);}

/* a2395 in k2375 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2396(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2396,2,t0,t1);}
t2=t1;
((C_proc2)C_retrieve_proc(t2))(2,t2,f_2354(((C_word*)t0)[2]));}

/* a2382 in k2375 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2383(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2383,3,t0,t1,t2);}
t3=(C_word)C_i_string_length(t2);
if(C_truep((C_word)C_pipe_write(((C_word*)t0)[2],t2,t3))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t1,lf[218],lf[219]);}}

/* k2379 in k2375 in k2362 in process in k635 in k632 in k629 in k626 in k623 */
static void f_2381(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* close-handle in k635 in k632 in k629 in k626 in k623 */
static C_word C_fcall f_2354(C_word t1){
C_word tmp;
C_word t2;
C_stack_check;
return((C_word)stub408(C_SCHEME_UNDEFINED,t1));}

/* process-run in k635 in k632 in k629 in k626 in k623 */
static void f_2325(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3rv,(void*)f_2325r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_2325r(t0,t1,t2,t3);}}

static void f_2325r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(5);
t4=(C_word)C_notvemptyp(t3);
t5=(C_truep(t4)?(C_word)C_i_vector_ref(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t6))(5,t6,t1,*((C_word*)lf[202]+1),t2,t5);}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2342,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=*((C_word*)lf[211]+1);
((C_proc2)C_retrieve_proc(t7))(2,t7,t6);}}

/* k2340 in process-run in k635 in k632 in k629 in k626 in k623 */
static void f_2342(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2342,2,t0,t1);}
t2=(C_word)C_a_i_list(&a,2,lf[214],((C_word*)t0)[4]);
t3=((C_word*)t0)[3];
((C_proc5)C_retrieve_proc(t3))(5,t3,((C_word*)t0)[2],*((C_word*)lf[202]+1),t1,t2);}

/* get-shell in k635 in k632 in k629 in k626 in k623 */
static void f_2319(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2319,2,t0,t1);}
t2=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t3=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,(C_word)stub399(t2),C_fix(0));}

/* current-process-id in k635 in k632 in k629 in k626 in k623 */
static void f_2316(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2316,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub397(C_SCHEME_UNDEFINED));}

/* process-spawn in k635 in k632 in k629 in k626 in k623 */
static void f_2223(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)tr4rv,(void*)f_2223r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_2223r(t0,t1,t2,t3,t4);}}

static void f_2223r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(7);
t5=(C_word)C_i_check_exact_2(t2,lf[208]);
t6=(C_word)C_i_check_string_2(t3,lf[208]);
t7=(C_word)C_notvemptyp(t4);
t8=(C_truep(t7)?(C_word)C_i_vector_ref(t4,C_fix(0)):C_SCHEME_END_OF_LIST);
t9=(C_word)C_i_check_list_2(t8,lf[208]);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2239,a[2]=t8,a[3]=t1,a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
t11=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t11))(3,t11,t10,t3);}

/* k2237 in process-spawn in k635 in k632 in k629 in k626 in k623 */
static void f_2239(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2239,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_2204(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2247,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_2247(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do381 in k2237 in process-spawn in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2247(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2247,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_2204(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2261,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2280,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,((C_word*)t0)[3]);}
else{
t4=(C_word)C_i_car(t2);
t5=(C_word)C_i_check_string_2(t4,lf[208]);
t6=(C_word)C_block_size(t4);
t7=f_2204(t3,t4,t6);
t8=(C_word)C_i_cdr(t2);
t9=(C_word)C_fixnum_plus(t3,C_fix(1));
t14=t1;
t15=t8;
t16=t9;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k2278 in do381 in k2237 in process-spawn in k635 in k632 in k629 in k626 in k623 */
static void f_2280(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2259 in do381 in k2237 in process-spawn in k635 in k632 in k629 in k626 in k623 */
static void f_2261(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2261,2,t0,t1);}
t2=(C_word)C_spawnvp(((C_word*)t0)[4],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2264,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2262 in k2259 in do381 in k2237 in process-spawn in k635 in k632 in k629 in k626 in k623 */
static void f_2264(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_eqp(((C_word*)t0)[4],C_fix(-1));
if(C_truep(t2)){
t3=(C_word)stub374(C_SCHEME_UNDEFINED);
t4=*((C_word*)lf[90]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],lf[208],lf[209],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* setarg in k635 in k632 in k629 in k626 in k623 */
static C_word C_fcall f_2204(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_check;
t4=(C_word)C_i_foreign_fixnum_argumentp(t1);
t5=(C_truep(t2)?(C_word)C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=(C_word)C_i_foreign_fixnum_argumentp(t3);
return((C_word)stub367(C_SCHEME_UNDEFINED,t4,t5,t6));}

/* process-execute in k635 in k632 in k629 in k626 in k623 */
static void f_2114(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr3rv,(void*)f_2114r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_2114r(t0,t1,t2,t3);}}

static void f_2114r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a=C_alloc(6);
t4=(C_word)C_i_check_string_2(t2,lf[206]);
t5=(C_word)C_notvemptyp(t3);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t3,C_fix(0)):C_SCHEME_END_OF_LIST);
t7=(C_word)C_i_check_list_2(t6,lf[206]);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2127,a[2]=t6,a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t9))(3,t9,t8,t2);}

/* k2125 in process-execute in k635 in k632 in k629 in k626 in k623 */
static void f_2127(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2127,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_2095(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2135,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2135(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do346 in k2125 in process-execute in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2135(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
a=C_alloc(7);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2135,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_2095(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2149,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2168,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,((C_word*)t0)[3]);}
else{
t4=(C_word)C_i_car(t2);
t5=(C_word)C_i_check_string_2(t4,lf[206]);
t6=(C_word)C_block_size(t4);
t7=f_2095(t3,t4,t6);
t8=(C_word)C_i_cdr(t2);
t9=(C_word)C_fixnum_plus(t3,C_fix(1));
t14=t1;
t15=t8;
t16=t9;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k2166 in do346 in k2125 in process-execute in k635 in k632 in k629 in k626 in k623 */
static void f_2168(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2147 in do346 in k2125 in process-execute in k635 in k632 in k629 in k626 in k623 */
static void f_2149(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2149,2,t0,t1);}
t2=(C_word)C_execvp(t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2152,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2150 in k2147 in do346 in k2125 in process-execute in k635 in k632 in k629 in k626 in k623 */
static void f_2152(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_eqp(((C_word*)t0)[4],C_fix(-1));
if(C_truep(t2)){
t3=(C_word)stub340(C_SCHEME_UNDEFINED);
t4=*((C_word*)lf[90]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],lf[206],lf[207],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* setarg in k635 in k632 in k629 in k626 in k623 */
static C_word C_fcall f_2095(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_check;
t4=(C_word)C_i_foreign_fixnum_argumentp(t1);
t5=(C_truep(t2)?(C_word)C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=(C_word)C_i_foreign_fixnum_argumentp(t3);
return((C_word)stub333(C_SCHEME_UNDEFINED,t4,t5,t6));}

/* glob in k635 in k632 in k629 in k626 in k623 */
static void f_1986(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr2r,(void*)f_1986r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1986r(t0,t1,t2);}}

static void f_1986r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1992,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_1992(t6,t1,t2);}

/* conc in glob in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1992(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1992,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2007,a[2]=t3,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2013,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
C_call_with_values(4,0,t1,t4,t5);}}

/* a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2013(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(c!=5) C_bad_argc(c,5);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_2013,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2017,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2084,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_truep(t3)?t3:lf[199]);
t8=((C_word*)t0)[4];
((C_proc5)C_retrieve_proc(t8))(5,t8,t6,C_SCHEME_FALSE,t7,t4);}

/* k2082 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2084(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k2015 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2017(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2017,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2024,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=(C_truep(((C_word*)t0)[4])?((C_word*)t0)[4]:lf[198]);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t2,t3);}

/* k2022 in k2015 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2024(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2024,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2026,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_2026(t5,((C_word*)t0)[2],t1);}

/* loop in k2022 in k2015 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_2026(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2026,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=(C_word)C_i_cdr(((C_word*)t0)[7]);
t4=((C_word*)((C_word*)t0)[6])[1];
f_1992(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2043,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t4=(C_word)C_i_car(t2);
t5=*((C_word*)lf[197]+1);
((C_proc4)C_retrieve_proc(t5))(4,t5,t3,((C_word*)t0)[2],t4);}}

/* k2041 in loop in k2022 in k2015 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2043(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2043,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2053,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_i_car(t1);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,t2,((C_word*)t0)[2],t3);}
else{
t2=(C_word)C_i_cdr(((C_word*)t0)[5]);
t3=((C_word*)((C_word*)t0)[4])[1];
f_2026(t3,((C_word*)t0)[6],t2);}}

/* k2051 in k2041 in loop in k2022 in k2015 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2053(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2053,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2057,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)((C_word*)t0)[2])[1];
f_2026(t4,t2,t3);}

/* k2055 in k2051 in k2041 in loop in k2022 in k2015 in a2012 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2057(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2057,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* a2006 in conc in glob in k635 in k632 in k629 in k626 in k623 */
static void f_2007(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2007,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* set-buffering-mode! in k635 in k632 in k629 in k626 in k623 */
static void f_1927(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1927r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1927r(t0,t1,t2,t3,t4);}}

static void f_1927r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1931,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[101]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t5,t2,lf[187]);}

/* k1929 in set-buffering-mode! in k635 in k632 in k629 in k626 in k623 */
static void f_1931(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1931,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[5],C_fix(0)):C_fix((C_word)BUFSIZ));
t4=((C_word*)t0)[4];
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1937,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t4,lf[189]);
if(C_truep(t6)){
t7=t5;
f_1937(2,t7,C_fix((C_word)_IOFBF));}
else{
t7=(C_word)C_eqp(t4,lf[190]);
if(C_truep(t7)){
t8=t5;
f_1937(2,t8,C_fix((C_word)_IOLBF));}
else{
t8=(C_word)C_eqp(t4,lf[191]);
if(C_truep(t8)){
t9=t5;
f_1937(2,t9,C_fix((C_word)_IONBF));}
else{
t9=*((C_word*)lf[90]+1);
((C_proc6)(void*)(*((C_word*)t9+1)))(6,t9,t5,lf[187],lf[192],((C_word*)t0)[4],((C_word*)t0)[3]);}}}}

/* k1935 in k1929 in set-buffering-mode! in k635 in k632 in k629 in k626 in k623 */
static void f_1937(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_i_check_exact_2(((C_word*)t0)[4],lf[187]);
t3=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t4=(C_word)C_eqp(lf[65],t3);
t5=(C_truep(t4)?(C_word)C_setvbuf(((C_word*)t0)[3],t1,((C_word*)t0)[4]):C_fix(-1));
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(0)))){
t6=*((C_word*)lf[90]+1);
((C_proc7)(void*)(*((C_word*)t6+1)))(7,t6,((C_word*)t0)[2],lf[187],lf[188],((C_word*)t0)[3],t1,((C_word*)t0)[4]);}
else{
t6=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,C_SCHEME_UNDEFINED);}}

/* _exit in k635 in k632 in k629 in k626 in k623 */
static void f_1908(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2rv,(void*)f_1908r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_1908r(t0,t1,t2);}}

static void f_1908r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1912,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[186]+1);
((C_proc2)C_retrieve_proc(t4))(2,t4,t3);}

/* k1910 in _exit in k635 in k632 in k629 in k626 in k623 */
static void f_1912(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_notvemptyp(((C_word*)t0)[3]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[3],C_fix(0)):C_fix(0));
t4=((C_word*)t0)[2];
t5=(C_word)C_i_foreign_fixnum_argumentp(t3);
t6=t4;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,(C_word)stub284(C_SCHEME_UNDEFINED,t5));}

/* time->string in k635 in k632 in k629 in k626 in k623 */
static void f_1874(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1874,3,t0,t1,t2);}
t3=(C_word)C_i_check_vector_2(t2,lf[182]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1881,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(C_word)C_block_size(t2);
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(10)))){
t6=*((C_word*)lf[90]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t4,lf[182],lf[184],t2);}
else{
t6=t4;
f_1881(2,t6,C_SCHEME_UNDEFINED);}}

/* k1879 in time->string in k635 in k632 in k629 in k626 in k623 */
static void f_1881(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1881,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1884,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t5=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,(C_word)stub273(t4,t3),C_fix(0));}

/* k1882 in k1879 in time->string in k635 in k632 in k629 in k626 in k623 */
static void f_1884(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1884,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1887,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_1887(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[90]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[182],lf[183],((C_word*)t0)[2]);}}

/* k1885 in k1882 in k1879 in time->string in k635 in k632 in k629 in k626 in k623 */
static void f_1887(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->string in k635 in k632 in k629 in k626 in k623 */
static void f_1857(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1857,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1861,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_integer_argumentp(t4);
t7=(C_word)stub264(t5,t6);
t8=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k1859 in seconds->string in k635 in k632 in k629 in k626 in k623 */
static void f_1861(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1861,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1864,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_1864(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[90]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[180],lf[181],((C_word*)t0)[2]);}}

/* k1862 in k1859 in seconds->string in k635 in k632 in k629 in k626 in k623 */
static void f_1864(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->utc-time in k635 in k632 in k629 in k626 in k623 */
static void f_1838(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1838,3,t0,t1,t2);}
t3=(C_word)C_i_check_number_2(t2,lf[179]);
t4=*((C_word*)lf[178]+1);
((C_proc4)C_retrieve_proc(t4))(4,t4,t1,t2,C_SCHEME_TRUE);}

/* seconds->local-time in k635 in k632 in k629 in k626 in k623 */
static void f_1829(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1829,3,t0,t1,t2);}
t3=(C_word)C_i_check_number_2(t2,lf[177]);
t4=*((C_word*)lf[178]+1);
((C_proc4)C_retrieve_proc(t4))(4,t4,t1,t2,C_SCHEME_FALSE);}

/* current-environment in k635 in k632 in k629 in k626 in k623 */
static void f_1764(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1764,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1770,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_1770(t5,t1,C_fix(0));}

/* loop in current-environment in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1770(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1770,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1774,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_fixnum_argumentp(t4);
t7=(C_word)stub247(t5,t6);
t8=*((C_word*)lf[176]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k1772 in loop in current-environment in k635 in k632 in k629 in k626 in k623 */
static void f_1774(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1774,2,t0,t1);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1782,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_1782(t5,((C_word*)t0)[2],C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_END_OF_LIST);}}

/* scan in k1772 in loop in current-environment in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1782(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_1782,NULL,3,t0,t1,t2);}
t3=(C_word)C_eqp(C_make_character(61),(C_word)C_subchar(((C_word*)t0)[6],t2));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1808,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t5=((C_word*)t0)[3];
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)t0)[6],C_fix(0),t2);}
else{
t4=(C_word)C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}

/* k1806 in scan in k1772 in loop in current-environment in k635 in k632 in k629 in k626 in k623 */
static void f_1808(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1808,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1812,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
t4=(C_word)C_block_size(((C_word*)t0)[3]);
t5=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t5))(5,t5,t2,((C_word*)t0)[3],t3,t4);}

/* k1810 in k1806 in scan in k1772 in loop in current-environment in k635 in k632 in k629 in k626 in k623 */
static void f_1812(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1812,2,t0,t1);}
t2=(C_word)C_a_i_cons(&a,2,((C_word*)t0)[5],t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1800,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[2])[1];
f_1770(t5,t3,t4);}

/* k1798 in k1810 in k1806 in scan in k1772 in loop in current-environment in k635 in k632 in k629 in k626 in k623 */
static void f_1800(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1800,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* unsetenv in k635 in k632 in k629 in k626 in k623 */
static void f_1744(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1744,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[174]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1752,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1750 in unsetenv in k635 in k632 in k629 in k626 in k623 */
static void f_1752(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_putenv(t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* setenv in k635 in k632 in k629 in k626 in k623 */
static void f_1727(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_1727,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[173]);
t5=(C_word)C_i_check_string_2(t3,lf[173]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1738,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t2);}

/* k1736 in setenv in k635 in k632 in k629 in k626 in k623 */
static void f_1738(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1738,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1742,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k1740 in k1736 in setenv in k635 in k632 in k629 in k626 in k623 */
static void f_1742(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_setenv(((C_word*)t0)[3],t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* duplicate-fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1697(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_1697r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_1697r(t0,t1,t2,t3);}}

static void f_1697r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(4);
t4=(C_word)C_i_check_exact_2(t2,*((C_word*)lf[171]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1704,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_vemptyp(t3))){
t6=t5;
f_1704(t6,(C_word)C_dup(t2));}
else{
t6=(C_word)C_i_vector_ref(t3,C_fix(0));
t7=(C_word)C_i_check_exact_2(t6,lf[171]);
t8=t5;
f_1704(t8,(C_word)C_dup2(t2,t6));}}

/* k1702 in duplicate-fileno in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1704(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1704,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1707,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1713,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1707(2,t3,C_SCHEME_UNDEFINED);}}

/* k1711 in k1702 in duplicate-fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1713(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[171],lf[172],((C_word*)t0)[2]);}

/* k1705 in k1702 in duplicate-fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1707(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* port->fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1662(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1662,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1666,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[101]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[167]);}

/* k1664 in port->fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1666(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1666,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1695,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[170]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(0));}

/* k1693 in k1664 in port->fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1695(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1695,2,t0,t1);}
if(C_truep((C_word)C_i_zerop(t1))){
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[41],lf[167],lf[168],((C_word*)t0)[2]);}
else{
t2=(C_word)C_fileno(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1675,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1681,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t3;
f_1675(2,t4,C_SCHEME_UNDEFINED);}}}

/* k1679 in k1693 in k1664 in port->fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1681(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[167],lf[169],((C_word*)t0)[2]);}

/* k1673 in k1693 in k1664 in port->fileno in k635 in k632 in k629 in k626 in k623 */
static void f_1675(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* open-output-file* in k635 in k632 in k629 in k626 in k623 */
static void f_1648(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_1648r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1648r(t0,t1,t2,t3);}}

static void f_1648r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[166]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1660,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_1579(t5,C_SCHEME_FALSE,t3);}

/* k1658 in open-output-file* in k635 in k632 in k629 in k626 in k623 */
static void f_1660(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1660,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_1616(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* open-input-file* in k635 in k632 in k629 in k626 in k623 */
static void f_1634(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_1634r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1634r(t0,t1,t2,t3);}}

static void f_1634r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[165]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1646,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_1579(t5,C_SCHEME_TRUE,t3);}

/* k1644 in open-input-file* in k635 in k632 in k629 in k626 in k623 */
static void f_1646(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1646,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_1616(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* check in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1616(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1616,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1620,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k1618 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1620(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1620,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[31],lf[163],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1632,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[93]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[94]+1),lf[164],lf[65]);}}

/* k1630 in k1618 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1632(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* mode in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1579(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1579,NULL,3,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1587,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_pairp(t3))){
t5=(C_word)C_i_car(t3);
t6=(C_word)C_eqp(t5,lf[157]);
if(C_truep(t6)){
t7=t2;
if(C_truep(t7)){
t8=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t4,lf[158],t5);}
else{
t8=t4;
f_1587(2,t8,lf[159]);}}
else{
t7=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t4,lf[160],t5);}}
else{
t5=t4;
f_1587(2,t5,(C_truep(t2)?lf[161]:lf[162]));}}

/* k1585 in mode in k635 in k632 in k629 in k626 in k623 */
static void f_1587(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* file-execute-access? in k635 in k632 in k629 in k626 in k623 */
static void f_1570(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1570,3,t0,t1,t2);}
f_1534(t1,t2,C_fix((C_word)2),lf[153]);}

/* file-write-access? in k635 in k632 in k629 in k626 in k623 */
static void f_1564(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1564,3,t0,t1,t2);}
f_1534(t1,t2,C_fix((C_word)4),lf[152]);}

/* file-read-access? in k635 in k632 in k629 in k626 in k623 */
static void f_1558(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1558,3,t0,t1,t2);}
f_1534(t1,t2,C_fix((C_word)2),lf[151]);}

/* check in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1534(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1534,NULL,4,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1552,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1556,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k1554 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1556(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1550 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1552(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1552,2,t0,t1);}
t2=(C_word)C_access(t1,((C_word*)t0)[3]);
t3=(C_word)C_eqp(C_fix(0),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1544,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
t5=t4;
f_1544(2,t5,C_SCHEME_UNDEFINED);}
else{
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k1542 in k1550 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1544(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* change-file-mode in k635 in k632 in k629 in k626 in k623 */
static void f_1504(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[8],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_1504,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[149]);
t5=(C_word)C_i_check_exact_2(t3,lf[149]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1528,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1532,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k1530 in change-file-mode in k635 in k632 in k629 in k626 in k623 */
static void f_1532(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1526 in change-file-mode in k635 in k632 in k629 in k626 in k623 */
static void f_1528(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1528,2,t0,t1);}
t2=(C_word)C_chmod(t1,((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1520,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k1518 in k1526 in change-file-mode in k635 in k632 in k629 in k626 in k623 */
static void f_1520(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[149],lf[150],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* create-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1449(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1449,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1453,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_pipe(C_SCHEME_FALSE),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1462,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1453(2,t3,C_SCHEME_UNDEFINED);}}

/* k1460 in create-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1462(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],lf[31],lf[110],lf[111]);}

/* k1451 in create-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1453(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[2],C_fix((C_word)C_pipefds[ 0 ]),C_fix((C_word)C_pipefds[ 1 ]));}

/* with-output-to-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1429(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_1429r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1429r(t0,t1,t2,t3,t4);}}

static void f_1429r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[109]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1433,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k1431 in with-output-to-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1433(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1433,2,t0,t1);}
t2=C_mutate((C_word*)lf[109]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1439,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a1438 in k1431 in with-output-to-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1439(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_1439r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1439r(t0,t1,t2);}}

static void f_1439r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1443,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1441 in a1438 in k1431 in with-output-to-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1443(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[109]+1,((C_word*)t0)[4]);
C_apply(4,0,((C_word*)t0)[3],*((C_word*)lf[104]+1),((C_word*)t0)[2]);}

/* with-input-from-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1409(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_1409r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1409r(t0,t1,t2,t3,t4);}}

static void f_1409r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[107]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1413,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k1411 in with-input-from-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1413(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1413,2,t0,t1);}
t2=C_mutate((C_word*)lf[107]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1419,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a1418 in k1411 in with-input-from-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1419(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_1419r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1419r(t0,t1,t2);}}

static void f_1419r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1423,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1421 in a1418 in k1411 in with-input-from-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1423(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[107]+1,((C_word*)t0)[4]);
C_apply(4,0,((C_word*)t0)[3],*((C_word*)lf[104]+1),((C_word*)t0)[2]);}

/* call-with-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1385(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_1385r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1385r(t0,t1,t2,t3,t4);}}

static void f_1385r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1389,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k1387 in call-with-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1389(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1389,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1394,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1400,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a1399 in k1387 in call-with-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1400(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_1400r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1400r(t0,t1,t2);}}

static void f_1400r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1404,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1402 in a1399 in k1387 in call-with-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1404(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply(4,0,((C_word*)t0)[3],*((C_word*)lf[104]+1),((C_word*)t0)[2]);}

/* a1393 in k1387 in call-with-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1394(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1394,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* call-with-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1361(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_1361r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1361r(t0,t1,t2,t3,t4);}}

static void f_1361r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1365,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k1363 in call-with-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1365(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1365,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1370,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1376,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a1375 in k1363 in call-with-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1376(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_1376r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1376r(t0,t1,t2);}}

static void f_1376r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1380,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1378 in a1375 in k1363 in call-with-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1380(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply(4,0,((C_word*)t0)[3],*((C_word*)lf[104]+1),((C_word*)t0)[2]);}

/* a1369 in k1363 in call-with-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1370(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1370,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* close-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1342(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1342,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1346,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[101]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[99]);}

/* k1344 in close-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1346(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1346,2,t0,t1);}
t2=(C_word)close_pipe(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1349,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k1347 in k1344 in close-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1349(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t2)){
t3=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,((C_word*)t0)[3],lf[31],lf[99],lf[100],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* open-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1306(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_1306r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1306r(t0,t1,t2,t3);}}

static void f_1306r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(C_word)C_i_check_string_2(t2,lf[98]);
t5=f_1234(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1320,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t7=(C_word)C_eqp(t5,lf[89]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1327,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t8=(C_word)C_eqp(t5,lf[97]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1337,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
f_1246(t6,t5);}}}

/* k1335 in open-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1337(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1337,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1320(2,t2,(C_word)open_binary_output_pipe(&a,1,t1));}

/* k1325 in open-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1327(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1327,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1320(2,t2,(C_word)open_text_output_pipe(&a,1,t1));}

/* k1318 in open-output-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1320(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1252(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_FALSE,t1);}

/* open-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1270(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_1270r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1270r(t0,t1,t2,t3);}}

static void f_1270r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(C_word)C_i_check_string_2(t2,lf[96]);
t5=f_1234(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1284,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t7=(C_word)C_eqp(t5,lf[89]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1291,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t8=(C_word)C_eqp(t5,lf[97]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1301,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
f_1246(t6,t5);}}}

/* k1299 in open-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1301(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1301,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1284(2,t2,(C_word)open_binary_input_pipe(&a,1,t1));}

/* k1289 in open-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1291(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1291,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1284(2,t2,(C_word)open_text_input_pipe(&a,1,t1));}

/* k1282 in open-input-pipe in k635 in k632 in k629 in k626 in k623 */
static void f_1284(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1252(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_TRUE,t1);}

/* check in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1252(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1252,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1256,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k1254 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1256(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1256,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[31],lf[92],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1268,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[93]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[94]+1),lf[95],lf[65]);}}

/* k1266 in k1254 in check in k635 in k632 in k629 in k626 in k623 */
static void f_1268(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* badmode in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1246(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1246,NULL,2,t1,t2);}
t3=*((C_word*)lf[90]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[91],t2);}

/* mode in k635 in k632 in k629 in k626 in k623 */
static C_word C_fcall f_1234(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_check;
t2=(C_word)C_i_pairp(t1);
return((C_truep(t2)?(C_word)C_slot(t1,C_fix(0)):lf[89]));}

/* current-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1216(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1216,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1220,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,C_fix(256));}

/* k1218 in current-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1220(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1220,2,t0,t1);}
t2=(C_word)C_curdir(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1223,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k1221 in k1218 in current-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1223(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(((C_word*)t0)[5])){
t2=((C_word*)t0)[4];
((C_proc5)C_retrieve_proc(t2))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(0),((C_word*)t0)[5]);}
else{
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[31],lf[87],lf[88]);}}

/* directory? in k635 in k632 in k629 in k626 in k623 */
static void f_1193(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1193,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[85]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1200,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1214,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1212 in directory? in k635 in k632 in k629 in k626 in k623 */
static void f_1214(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[86]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1198 in directory? in k635 in k632 in k629 in k626 in k623 */
static void f_1200(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(1),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* directory in k635 in k632 in k629 in k626 in k623 */
static void f_1136(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1136,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[82]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1143,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,C_fix(256));}

/* k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1143(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1143,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1146,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[84]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t2);}

/* k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1146(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1146,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1149,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t3=*((C_word*)lf[84]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t2);}

/* k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1149(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1149,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1153,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1191,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[4]);}

/* k1189 in k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1191(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1151 in k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1153(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1153,2,t0,t1);}
t2=(C_word)C_opendir(t1,((C_word*)t0)[7]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[7]))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1162,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1170,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_1170(t6,((C_word*)t0)[6]);}}

/* loop in k1151 in k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_1170(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1170,NULL,2,t0,t1);}
t2=(C_word)C_readdir(((C_word*)t0)[6],((C_word*)t0)[5]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t3=(C_word)C_closedir(((C_word*)t0)[6]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_foundfile(((C_word*)t0)[5],((C_word*)t0)[4]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1180,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)t0)[4],C_fix(0),t3);}}

/* k1178 in loop in k1151 in k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1180(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1180,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1187,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)((C_word*)t0)[2])[1];
f_1170(t3,t2);}

/* k1185 in k1178 in loop in k1151 in k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1187(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1187,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* k1160 in k1151 in k1147 in k1144 in k1141 in directory in k635 in k632 in k629 in k626 in k623 */
static void f_1162(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[82],lf[83],((C_word*)t0)[2]);}

/* delete-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1109(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1109,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[77]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1130,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1134,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1132 in delete-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1134(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1128 in delete-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1130(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1130,2,t0,t1);}
t2=(C_word)C_rmdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1122,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1120 in k1128 in delete-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1122(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[77],lf[78],((C_word*)t0)[2]);}

/* change-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1082(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1082,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[75]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1103,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1107,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1105 in change-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1107(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1101 in change-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1103(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1103,2,t0,t1);}
t2=(C_word)C_chdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1095,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1093 in k1101 in change-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1095(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[75],lf[76],((C_word*)t0)[2]);}

/* create-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1055(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1055,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[73]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1076,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1080,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1078 in create-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1080(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1074 in create-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1076(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1076,2,t0,t1);}
t2=(C_word)C_mkdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1068,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1066 in k1074 in create-directory in k635 in k632 in k629 in k626 in k623 */
static void f_1068(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[73],lf[74],((C_word*)t0)[2]);}

/* set-file-position! in k635 in k632 in k629 in k626 in k623 */
static void f_994(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_994r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_994r(t0,t1,t2,t3,t4);}}

static void f_994r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(6);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t4,C_fix(0)):C_fix((C_word)SEEK_SET));
t7=(C_word)C_i_check_exact_2(t3,lf[68]);
t8=(C_word)C_i_check_exact_2(t6,lf[68]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1007,a[2]=t6,a[3]=t3,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep((C_word)C_fixnum_lessp(t3,C_fix(0)))){
t10=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t10+1)))(7,t10,t9,lf[71],lf[68],lf[72],t3,t2);}
else{
t10=t9;
f_1007(2,t10,C_SCHEME_UNDEFINED);}}

/* k1005 in set-file-position! in k635 in k632 in k629 in k626 in k623 */
static void f_1007(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1007,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1013,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1022,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[67]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[4]);}

/* k1020 in k1005 in set-file-position! in k635 in k632 in k629 in k626 in k623 */
static void f_1022(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(7));
t3=(C_word)C_eqp(t2,lf[65]);
t4=((C_word*)t0)[4];
f_1013(2,t4,(C_truep(t3)?(C_word)C_fseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]):C_SCHEME_FALSE));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[5]))){
t2=((C_word*)t0)[4];
f_1013(2,t2,(C_word)C_lseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[41],lf[68],lf[70],((C_word*)t0)[5]);}}}

/* k1011 in k1005 in set-file-position! in k635 in k632 in k629 in k626 in k623 */
static void f_1013(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1013,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1016,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k1014 in k1011 in k1005 in set-file-position! in k635 in k632 in k629 in k626 in k623 */
static void f_1016(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[68],lf[69],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* file-position in k635 in k632 in k629 in k626 in k623 */
static void f_954(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_954,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_958,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_973,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[67]+1);
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,t2);}

/* k971 in file-position in k635 in k632 in k629 in k626 in k623 */
static void f_973(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t3=(C_word)C_eqp(t2,lf[65]);
t4=((C_word*)t0)[2];
f_958(2,t4,(C_truep(t3)?(C_word)C_ftell(((C_word*)t0)[3]):C_fix(-1)));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[3]))){
t2=((C_word*)t0)[2];
f_958(2,t2,(C_word)C_lseek(((C_word*)t0)[3],C_fix(0),C_fix((C_word)SEEK_CUR)));}
else{
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[2],lf[41],lf[63],lf[66],((C_word*)t0)[3]);}}}

/* k956 in file-position in k635 in k632 in k629 in k626 in k623 */
static void f_958(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_958,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_961,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_967,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_961(2,t3,C_SCHEME_UNDEFINED);}}

/* k965 in k956 in file-position in k635 in k632 in k629 in k626 in k623 */
static void f_967(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[63],lf[64],((C_word*)t0)[2]);}

/* k959 in k956 in file-position in k635 in k632 in k629 in k626 in k623 */
static void f_961(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-permissions in k635 in k632 in k629 in k626 in k623 */
static void f_948(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_948,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_952,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k950 in file-permissions in k635 in k632 in k629 in k626 in k623 */
static void f_952(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode));}

/* file-owner in k635 in k632 in k629 in k626 in k623 */
static void f_942(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_942,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_946,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k944 in file-owner in k635 in k632 in k629 in k626 in k623 */
static void f_946(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid));}

/* file-change-time in k635 in k632 in k629 in k626 in k623 */
static void f_936(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_936,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_940,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k938 in file-change-time in k635 in k632 in k629 in k626 in k623 */
static void f_940(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_940,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_ctime));}

/* file-access-time in k635 in k632 in k629 in k626 in k623 */
static void f_930(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_930,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_934,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k932 in file-access-time in k635 in k632 in k629 in k626 in k623 */
static void f_934(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_934,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_atime));}

/* file-modification-time in k635 in k632 in k629 in k626 in k623 */
static void f_924(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_924,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_928,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k926 in file-modification-time in k635 in k632 in k629 in k626 in k623 */
static void f_928(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_928,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_mtime));}

/* file-size in k635 in k632 in k629 in k626 in k623 */
static void f_918(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_918,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_922,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k920 in file-size in k635 in k632 in k629 in k626 in k623 */
static void f_922(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size));}

/* file-stat in k635 in k632 in k629 in k626 in k623 */
static void f_909(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_909,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_913,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_871(t3,t2);}

/* k911 in file-stat in k635 in k632 in k629 in k626 in k623 */
static void f_913(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[22],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_913,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_vector(&a,9,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime)));}

/* ##sys#stat in k635 in k632 in k629 in k626 in k623 */
static void C_fcall f_871(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_871,NULL,2,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_875,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t4=t3;
f_875(2,t4,(C_word)C_fstat(t2));}
else{
if(C_truep((C_word)C_i_stringp(t2))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_900,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_904,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}
else{
t4=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t3,lf[41],lf[55],t2);}}}

/* k902 in ##sys#stat in k635 in k632 in k629 in k626 in k623 */
static void f_904(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k898 in ##sys#stat in k635 in k632 in k629 in k626 in k623 */
static void f_900(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
f_875(2,t2,(C_word)C_stat(t1));}

/* k873 in ##sys#stat in k635 in k632 in k629 in k626 in k623 */
static void f_875(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_875,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_884,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}
else{
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* k882 in k873 in ##sys#stat in k635 in k632 in k629 in k626 in k623 */
static void f_884(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[31],lf[54],((C_word*)t0)[2]);}

/* file-mkstemp in k635 in k632 in k629 in k626 in k623 */
static void f_833(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_833,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[47]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_840,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k838 in file-mkstemp in k635 in k632 in k629 in k626 in k623 */
static void f_840(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_840,2,t0,t1);}
t2=(C_word)C_mkstemp(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_843,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,t1);}

/* k841 in k838 in file-mkstemp in k635 in k632 in k629 in k626 in k623 */
static void f_843(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_843,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_846,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_863,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t2;
f_846(2,t4,C_SCHEME_UNDEFINED);}}

/* k861 in k841 in k838 in file-mkstemp in k635 in k632 in k629 in k626 in k623 */
static void f_863(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[47],lf[49],((C_word*)t0)[2]);}

/* k844 in k841 in k838 in file-mkstemp in k635 in k632 in k629 in k626 in k623 */
static void f_846(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_846,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_853,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=*((C_word*)lf[48]+1);
((C_proc5)C_retrieve_proc(t4))(5,t4,t2,((C_word*)t0)[2],C_fix(0),t3);}

/* k851 in k844 in k841 in k838 in file-mkstemp in k635 in k632 in k629 in k626 in k623 */
static void f_853(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* file-write in k635 in k632 in k629 in k626 in k623 */
static void f_791(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_791r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_791r(t0,t1,t2,t3,t4);}}

static void f_791r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(6);
t5=(C_word)C_i_check_exact_2(t2,lf[43]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_798,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t7=(C_truep((C_word)C_blockp(t3))?(C_word)C_byteblockp(t3):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=t6;
f_798(2,t8,C_SCHEME_UNDEFINED);}
else{
t8=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t8+1)))(6,t8,t6,lf[41],lf[43],lf[45],t3);}}

/* k796 in file-write in k635 in k632 in k629 in k626 in k623 */
static void f_798(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_798,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[5],C_fix(0)):(C_word)C_block_size(((C_word*)t0)[4]));
t4=(C_word)C_i_check_exact_2(t3,lf[43]);
t5=(C_word)C_write(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_807,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_word)C_eqp(C_fix(-1),t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_813,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,t8);}
else{
t8=t6;
f_807(2,t8,C_SCHEME_UNDEFINED);}}

/* k811 in k796 in file-write in k635 in k632 in k629 in k626 in k623 */
static void f_813(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[43],lf[44],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k805 in k796 in file-write in k635 in k632 in k629 in k626 in k623 */
static void f_807(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-read in k635 in k632 in k629 in k626 in k623 */
static void f_746(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4rv,(void*)f_746r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_746r(t0,t1,t2,t3,t4);}}

static void f_746r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(5);
t5=(C_word)C_i_check_exact_2(t2,lf[39]);
t6=(C_word)C_i_check_exact_2(t3,lf[39]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_756,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_notvemptyp(t4))){
t8=t7;
f_756(2,t8,(C_word)C_i_vector_ref(t4,C_fix(0)));}
else{
t8=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t3);}}

/* k754 in file-read in k635 in k632 in k629 in k626 in k623 */
static void f_756(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_756,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_759,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=(C_truep((C_word)C_blockp(t1))?(C_word)C_byteblockp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t2;
f_759(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t4+1)))(6,t4,t2,lf[41],lf[39],lf[42],t1);}}

/* k757 in k754 in file-read in k635 in k632 in k629 in k626 in k623 */
static void f_759(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_759,2,t0,t1);}
t2=(C_word)C_read(((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_762,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_771,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_762(2,t5,C_SCHEME_UNDEFINED);}}

/* k769 in k757 in k754 in file-read in k635 in k632 in k629 in k626 in k623 */
static void f_771(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[39],lf[40],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k760 in k757 in k754 in file-read in k635 in k632 in k629 in k626 in k623 */
static void f_762(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_762,2,t0,t1);}
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}

/* file-close in k635 in k632 in k629 in k626 in k623 */
static void f_728(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_728,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[36]);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_close(t2),C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_741,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* k739 in file-close in k635 in k632 in k629 in k626 in k623 */
static void f_741(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[36],lf[37],((C_word*)t0)[2]);}

/* file-open in k635 in k632 in k629 in k626 in k623 */
static void f_687(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr4rv,(void*)f_687r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_687r(t0,t1,t2,t3,t4);}}

static void f_687r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(9);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t4,C_fix(0)):((C_word*)t0)[2]);
t7=(C_word)C_i_check_string_2(t2,lf[29]);
t8=(C_word)C_i_check_exact_2(t3,lf[29]);
t9=(C_word)C_i_check_exact_2(t6,lf[29]);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_704,a[2]=t2,a[3]=t1,a[4]=t6,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_720,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
t12=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t12))(3,t12,t11,t2);}

/* k718 in file-open in k635 in k632 in k629 in k626 in k623 */
static void f_720(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k702 in file-open in k635 in k632 in k629 in k626 in k623 */
static void f_704(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_704,2,t0,t1);}
t2=(C_word)C_open(t1,((C_word*)t0)[5],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_707,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_713,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_707(2,t5,C_SCHEME_UNDEFINED);}}

/* k711 in k702 in file-open in k635 in k632 in k629 in k626 in k623 */
static void f_713(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc8)(void*)(*((C_word*)t2+1)))(8,t2,((C_word*)t0)[5],lf[31],lf[29],lf[32],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k705 in k702 in file-open in k635 in k632 in k629 in k626 in k623 */
static void f_707(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* yield in k635 in k632 in k629 in k626 in k623 */
static void f_639(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_639,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_645,tmp=(C_word)a,a+=2,tmp);
C_call_cc(3,0,t1,t2);}

/* a644 in yield in k635 in k632 in k629 in k626 in k623 */
static void f_645(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_645,3,t0,t1,t2);}
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_654,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t5=(C_word)C_i_setslot(t3,C_fix(1),t4);
t6=*((C_word*)lf[4]+1);
((C_proc2)C_retrieve_proc(t6))(2,t6,t1);}

/* a653 in a644 in yield in k635 in k632 in k629 in k626 in k623 */
static void f_654(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_654,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,C_SCHEME_UNDEFINED);}
/* end of file */
